View Issue Details

IDProjectCategoryView StatusLast Update
0002797Ham Radio DeluxeBugpublic2019-04-18 14:29
ReporterWA9PIEAssigned ToWA9PIE 
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version6.4.0.858 
Target VersionFixed in Version6.4.0.876 
Summary0002797: Logbook stops displaying spots normally (they're grey'd out and have the search folder icon in the far left column)
DescriptionAfter leaving Logbook running overnight, DX spots are displayed grey'd out with the search folder icon on the far left-hand column. The CPU utilization for Logbook is about 16%.

Upon closing Logbook, a dumpfile was generated (attached).

Upon starting Logbook, spots are displayed normally.

I've had this happen the last 2 days in a row (both days since installing 858).
Steps To ReproduceStart Logbook and connect to a cluster.
I'm using WSI filter = Band
My cluster filter is set to "HF+6m" (basically, that's 1.8 to 54Mhz)
Let it run for a considerable period of time (for me, it was at least overnight).

At some point, the DX spots are grey'd out and the search folder is shown on the far left column.

It's as-if no more spots are being processed (in the screenshot attached, it says that 467 spots are updating).
Additional InformationTickets on 846 seem to be related:
https://support.hamradiodeluxe.com/scp/tickets.php?id=19705
TagsNo tags attached.
ModuleLogbook
Sub-ModuleDX Cluster
Testing Beta Successful

Relationships

related to 0002833 closedWA9PIE Ham Radio Deluxe DX cluster is sluggish when changing between filters after program runs for a considerable amount of time 
related to 0002919 assignedKB3NPH 1 - Backlog DX Cluster WSI Lookups stalling DX Cluster 
related to 0003299 new 1 - Backlog V6.5.0.207 Connecting to DX cluster locks Logbook 

Activities

WA9PIE

2018-07-01 16:01

administrator  

HRDLogbook_20180701_201746.mdmp (1,308,342 bytes)

WA9PIE

2018-07-01 16:05

administrator   ~0005581

Also adding a screenshot of the DX cluster window at the time... just before shutting down Logbook and getting the dumpfile.

SpotsAreGrey.PNG (57,064 bytes)
SpotsAreGrey.PNG (57,064 bytes)

K7ZCZ

2018-07-01 16:52

administrator   ~0005587

The callstack from the dump doesn't give us too much:

0:003> .ecxr
eax=00000008 ebx=05da4d78 ecx=00000004 edx=01b53000 esi=00000000 edi=09892718
eip=7713df05 esp=0aadd108 ebp=0aadd108 iopl=0         nv up ei pl nz na po nc
cs=0023  ss=002b  ds=002b  es=002b  fs=0053  gs=002b             efl=00010202
ntdll!RtlEnterCriticalSection+0x15:
7713df05 f00fba3000      lock btr dword ptr [eax],0   ds:002b:00000008=????????
0:003> kb
  *** Stack trace for last set context - .thread/.cxr resets it
 # ChildEBP RetAddr  Args to Child              
00 0aadd108 59f503ab 00000004 0aadd164 09892718 ntdll!RtlEnterCriticalSection+0x15
01 0aadd118 59f55d37 0aadd64c 00000000 05da4d78 odbc32!EnterStmtCS+0x3f
*** WARNING: Unable to verify timestamp for HRDLogbook.exe
02 0aadd140 00200f86 09892718 0aadd164 90e2e8b7 odbc32!SQLNumResultCols+0x97
03 0aadd174 0020153a 90e2e86b 1d510138 1d8e5e98 HRDLogbook!CRecordset::IsOpen+0x39 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\dbcore.cpp @ 1320] 
04 0aadd1a8 006a3797 00000002 1d8e5e98 00002006 HRDLogbook!CRecordset::Open+0x16 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\dbcore.cpp @ 1141] 
05 0aadf72c 00700d00 0aadf74c 1d510138 90e2ce4f HRDLogbook!CBackgroundProcessingThreadLookups::CountryLookup+0x22a7 [c:\ham radio\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp @ 3076] 
06 0aadf78c 006ef573 90e2ce5b 006ef4d0 006ef4d0 HRDLogbook!CDXCObject::PerformLookup+0xa0 [c:\ham radio\logbook\hrdlogbook\dxclusterobject.cpp @ 1243] 
07 0aadf7c0 76b48484 04f64f90 76b48460 e6ec65dc HRDLogbook!CDXClusterDlg::LookupThreadProc+0xa3 [c:\ham radio\logbook\hrdlogbook\dxclusterdlg.cpp @ 359] 
08 0aadf7d4 77162fea 04f64f90 e7738c99 00000000 kernel32!BaseThreadInitThunk+0x24
09 0aadf81c 77162fba ffffffff 7717ec38 00000000 ntdll!__RtlUserThreadStart+0x2f
0a 0aadf82c 00000000 006ef4d0 04f64f90 00000000 ntdll!_RtlUserThreadStart+0x1b


This looks like code in the lookup thread has gone off to do a database query; the query was waiting for a critical section to become avaialble inside the ODBC implementation, and then the critical section object disappeared.

The state of the system when it was closed isn't clear. It's necessary to know if the "updating" count was decreasing or not. That gives us insight into the state of the thread that would probably be helpful in diagnosing the root cause of this issue.

PD9FER

2018-07-02 08:26

viewer   ~0005592

I added WSI Mode to the Cluster layout and got also the same issue.
Cluster filter was set on 20M
Mantis_ID-0002797-HRDLogbook_20180702_130714 in the Dumps folder

Difference here is that it crashes upon startup and not after some period of time.

2018-07-02_15-13-16.jpg (427,547 bytes)

K7ZCZ

2018-07-02 09:28

administrator   ~0005593

This is the call stack from the Mantis_ID-0002797-HRDLogbook_20180702_130714 dump file:

0:003> .ecxr
eax=00000008 ebx=1842be00 ecx=01cd0000 edx=1842be00 esi=44193ce9 edi=1842bdf8
eip=7749e486 esp=0ac3d500 ebp=0ac3d534 iopl=0         nv up ei pl nz na po nc
cs=0023  ss=002b  ds=002b  es=002b  fs=0053  gs=002b             efl=00010202
ntdll!RtlpLowFragHeapFree+0x31:
7749e486 8b4604          mov     eax,dword ptr [esi+4] ds:002b:44193ced=????????
0:003> kb
  *** Stack trace for last set context - .thread/.cxr resets it
 # ChildEBP RetAddr  Args to Child              
00 0ac3d534 7749e0e3 1842be00 00000004 ffffffff ntdll!RtlpLowFragHeapFree+0x31
01 0ac3d54c 75b814ad 01cd0000 00000000 1842be00 ntdll!RtlFreeHeap+0x105
02 0ac3d560 5425ecfa 01cd0000 00000000 1842be00 kernel32!HeapFree+0x14
03 0ac3d574 54262fed 1842be00 00000004 1842be00 msvcr120!free+0x1a [f:\dd\vctools\crt\crtw32\heap\free.c @ 51] 
Unable to load image C:\Program Files (x86)\MySQL\Connector ODBC 5.3\myodbc5w.dll, Win32 error 0n2
*** WARNING: Unable to verify timestamp for myodbc5w.dll
*** ERROR: Module load completed but symbols could not be loaded for myodbc5w.dll
04 0ac3d5c8 5271bda1 00000004 07bdbdfc 00000001 msvcr120!setlocale+0xab [f:\dd\vctools\crt\crtw32\misc\setlocal.c @ 51] 
WARNING: Stack unwind information not available. Following frames may be wrong.
05 0ac3d5f4 5271a8b3 00000001 00000001 00000000 myodbc5w+0x1bda1
06 0ac3d614 5400f9c7 18828c30 00000002 00000001 myodbc5w+0x1a8b3
*** WARNING: Unable to verify timestamp for HRDLogbook.exe
07 0ac3d630 00380601 00000000 00000001 0ac3e76c odbc32!SQLFetch+0x2a4
08 0ac3d648 00381337 00000001 00000001 0ac3e824 HRDLogbook!CRecordset::FetchData+0x24 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\dbcore.cpp @ 3067] 
09 0ac3d668 0033f809 00000001 00000001 00828963 HRDLogbook!CRecordset::Move+0x9a [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\dbcore.cpp @ 1490] 
0a 0ac3d674 00828963 ef19e496 1758ade8 19916dc0 HRDLogbook!CRecordset::MoveNext+0x9 [c:\program files (x86)\microsoft visual studio 12.0\vc\atlmfc\include\afxdb.inl @ 85] 
0b 0ac3fbec 00880d00 0ac3fc0c 1758ade8 ef19e336 HRDLogbook!CBackgroundProcessingThreadLookups::CountryLookup+0x7473 [c:\ham radio\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp @ 4875] 
0c 0ac3fc4c 0086f573 ef19e322 00000000 00000000 HRDLogbook!CDXCObject::PerformLookup+0xa0 [c:\ham radio\logbook\hrdlogbook\dxclusterobject.cpp @ 1243] 
0d 0ac3fc84 75b8343d 07bdbb68 0ac3fcd0 774a9832 HRDLogbook!CDXClusterDlg::LookupThreadProc+0xa3 [c:\ham radio\logbook\hrdlogbook\dxclusterdlg.cpp @ 359] 
0e 0ac3fc90 774a9832 07bdbb68 7d7ef8dd 00000000 kernel32!BaseThreadInitThunk+0xe
0f 0ac3fcd0 774a9805 0086f4d0 07bdbb68 00000000 ntdll!__RtlUserThreadStart+0x70
10 0ac3fce8 00000000 0086f4d0 07bdbb68 00000000 ntdll!_RtlUserThreadStart+0x1b


The call stack shows the same path as Mantis 2732. I don't think the repro scenario is the same as the original bug here, and I think the call stack shows that it's not the same root cause. While I suppose there's a small chance that these two problems might be related, it doesn't seem at all likely at this point.

PD9FER

2018-07-02 09:54

viewer   ~0005594

Yes, agree... because it happened here upon loading the Cluster data on Logbook startup and at Mike it was after some amount of time.
Advise please, add this dump to 2732 ?

WA9PIE

2018-07-05 10:50

administrator   ~0005611

Last edited: 2018-07-05 10:55

View 2 revisions

Creating a folder in Google Drive for these larger files that may have sensitive information in them.

..\Team Drives\HRD Software\Development\Mantis 2797

I've placed two dumpfiles here. They were taken just before I shutdown Logbook... and while Logbook was frozen during shutdown (it eventually finished).

I've also put two logfile text files there. One before shutting down... another just after starting up.

We're gaining more more information about this.

Knowing our users, this is the kind of thing that - if shipped - would result in very high volume calls to tech support... and many negative reviews on social media. So it's something that we should treat with an appropriate level of priority... just knowing that we can't ship like this... just needs to be resolved before we ship.

K7ZCZ

2018-07-05 15:12

administrator   ~0005612

The team has previously agreed to put dumps in the "Dumps" folder. Is there a reason we can't continue that process?

I completely understand that we can't ship like this. I've not proposed that we do so.

On the other hand, there are many other crashing bugs, and some bugs that look like data corruption. This bug is marked "high" priority. Many other bugs are; some other crashing bugs aren't. As such, it's hard to understand which issue really is most important. I also don't know when we want to ship next; in the absolute, does this issue need to be fixed in a day? a week? a month? Should we favor backing out the changes I made and trying to ship on time, or should we delay shipping on time and get this change fixed to work correctly?

There are two dump files provided. Which one was created before shutting the logbook down? Which one was taken while the logbook application was shutting down?

What was the state of the application when the first minidump (before shutting down) was taken? Was it caught up with pending lookups?

In chat, it was mentioned that a WSI filter was in place. What information is available about the filter settings?

K7ZCZ

2018-07-06 12:13

administrator   ~0005616

The symptomatic log file related to this issue contains lines like these:

enqueue lookup of TI2/KC2MXH took 139969 milliseconds


The wording of the log is pretty bad; I'll fix it to be clearer. But it means that processing the DX Cluster report received by the application took 139.969 seconds -- about 2 minutes, 20 seconds.

That processing time is extremely long. The timed events included in that duration are:

  • performing the "country lookup" against the database

  • repainting the DX Cluster window with the updated database


It's possible that thread contention could elongate either of these, but the most likely problem is that the database lookup itself took a lot of time.

Supporting HRD is complicated by the large nubmer of configurable options it has. In this case, since this issue appears to be related to database performance, it is necessary to have some information about the performance of the database. Why would a set of queries against that database take more than 2 minutes to execute, when they normally execute in just a couple of seconds? Any information about the state of the database server when the application is symptomatic would be helpful.

The Logbook application can report information about some database queries it makes. Fortunately, the measured queries include those in the "country lookup" code used by the DX Cluster. To enable logging of those queries, mark bot theh "timing" and "debug" options in the Logbook's logfile. Producing a log with that timing information enabled while the logbook application is symptomatic will help confirm the speculation that the database queries are taking a long time, and help show which queries are taking the most time.

K7ZCZ

2018-07-07 09:19

administrator   ~0005627

I've run a debug build for about 4.25 hours without seeing this problem.
I've run a release build for about 9.25 hours without a repro.

My configuration is probably unique:

No WSI filter. My question above about the WSI filter has had no response.
The debug build was against a small SQL Server database, about 3500 records.
The release build ran against SQL Server with a larger database, about 125,000 records.

In both cases, my SQL Server installation runs on a separate (and very powerful) server. While even 125,000 is a tiny database, the query patterns of the DX Cluster lookups are very poor.

WA9PIE

2018-07-07 10:53

administrator   ~0005629

I'm going to try to get to all the questions. But to add some info... this morning, I had the same grey'd out spots... 142 updating (slowly)...

I changed the WSI Filter from "Band" to "None" and some spots had not been analyzed (not sure what else to call it... they were "XXX").

SpotsNotUpdated.PNG (50,689 bytes)
SpotsNotUpdated.PNG (50,689 bytes)

WA9PIE

2018-07-07 10:57

administrator   ~0005630

WSI Filter was constructed as follows:

- Band filter shows only spots where the "B" (Band) WSI column is not a green check-mark.
- Mode filter shows only spots where the "M" (Mode) WSI column is not a green check-mark.
- Band+Mode filter shows only spots where the "B" or "M" columns do not contain a green check-mark.

The purpose of this is to hide confirmed (check-marked) spots so that the user is left only to view Needed or Unconfirmed countries.

WA9PIE

2018-07-07 11:00

administrator   ~0005631

Yes, we can put the dumps files in the same place as the team was otherwise using. It's my first time putting a dump file in. I wasn't aware of it.

The first dump file was taken while about 467 were shown updating. The second dumpfile was created as the program hung on shutdown.

K7ZCZ

2018-07-07 12:19

administrator   ~0005632

I'm not getting the information I need, so I'll try re-stating my questions. I'm trying to figure out what's causing the behaviour you're observing, so I need to either diagnose why it's happening to you or reproduce it myself and figure it out.

So far, I'm unable to reproduce the problem you're seeing. That doesn't mean that I think the problem doesn't exist. It just means that I can't make it happen. If I can't make it happen, I can't diagnose it's cause. If I can't diagnose it's cause, I can't be expected to make a fix.

I think you've said that you're using a WSI filter. I don't know what WSI filter setting you're using. If you tell me what setting you're using, I can try to make sure my attempts to reproduce the problem use the same setting.

Above, you say that some spots had not been analyzed because they show "XXX". To me, this means that the spot has been analyzed, and no match was found for the callsign, the band, or the mode. When a spot hasn't yet been analyzed, it shows blanks in the CBM columns, and shows an icon with a folder and a magnifying cglass in the un-titled left-most column.

As far as I can tell, you're reporting that some spots are displayed grey and show the magnifying folder icon. That means they haven't been processed. It's normal for such spots to appear in the list. Many spots appear at the initial connection, and it can take a couple of seconds to look up each spot.

However, it's not normal for unprocessed spots to linger in the list for more than a few seconds. The "updating" number should be decrementing as those spots are visited and processed. For every count shown at "updating", you should be able to find one spot with the magnifying folder in the list. In your above screenshot, there's 138 spots that are still updating. There should be 138 spots in the list with the magnifying glass.

The spots should be visited pretty rapidly; a couple each second, at the slowest. The application (with my changes for 858) has five threads concurrently processing spots. If it takes 2 seconds to process a spot and there are 5 workers, 2.5 spots should be processed per second.

I think the best information towards a resolution will come from action on your part:

1) Please explain what WSI setting you're using so I can replicate it.

2) Please mark both the "Debug" and "Timing" buttons on the logfile tab, and use the logfile tab to show how long spot processing is taking.

3) Previously, you showed timing information from the logfile tab that indicated each lookup was taking more than 2 minutes to run. That's unacceptably slow, and mostly out of the control of hte logbook application. What information can you share about your database and its configuration? Is the database you're using responsive when the logbook is in this bad, symptomatic state? Is it out of memory, out of connections? Badly fragmented? How is I/O load on your computer? Something else contriubting systematically to poor database performance in your installation?

I'll be checking in code that makes more, and clearer, timing messages. Running the application with those settings will help us (and any other customer who has trouble) diagnose what's going on.

K7ZCZ

2018-07-07 12:47

administrator   ~0005633

I have made a checkin (this one: https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4213) which adds more detailed timing information. With "timing" and "Debug" marked in the logfile window, output like this will appear:

10:31:37  Stopwatch      BackgroundProcessingThreadLookups.cpp (4829): [threadNumber = 1, callsign = "YV5NWG"] 3512 microseconds
10:31:37  CDXCObject     lookup of "YV5NWG" took 156 milliseconds
10:31:37  Stopwatch      BackgroundProcessingThreadLookups.cpp (4829): [threadNumber = 4, callsign = "EA2XR"] 16376 microseconds
10:31:37  CDXCObject     lookup of "EA2XR" took 172 milliseconds
10:31:37  Stopwatch      BackgroundProcessingThreadLookups.cpp (4829): [threadNumber = 3, callsign = "K4RC"] 78157 microseconds
10:31:37  CDXCObject     lookup of "K4RC" took 656 milliseconds
10:31:37  Stopwatch      BackgroundProcessingThreadLookups.cpp (4784): [threadNumber = 2, callsign = "KK1TLS"] 60635 microseconds
10:31:38  Stopwatch      BackgroundProcessingThreadLookups.cpp (4829): [threadNumber = 2, callsign = "KK1TLS"] 61144 microseconds
10:31:38  Stopwatch      BackgroundProcessingThreadLookups.cpp (4829): [threadNumber = 2, callsign = "KK1TLS"] 17943 microseconds
10:31:38  Stopwatch      BackgroundProcessingThreadLookups.cpp (4829): [threadNumber = 2, callsign = "KK1TLS"] 31020 microseconds
10:31:38  CDXCObject     lookup of KK1TLS took 688 milliseconds, refresh took 125 milliseconds
10:31:41  Stopwatch      BackgroundProcessingThreadLookups.cpp (2609): [threadNumber = 1, callsign = "RC18EK"] 29131 microseconds


The output tells us interesting things. Just over these three seconds, we know:

Of the five threads, four were active; we haven't heard from threadNumber 0.

We know which callsign each thread was working on.

Each entry tells us how many microseconds it took to perform a SQL query. 78157 microseconds is 0.078 seconds, which isn't too bad.

We know how long the whole lookup operation (all of the queries) for each call actually took. Here, processing YV5NWG took 156 milliseconds.

If the processing is complete, the DX Cluster window is actively repainted, After processing KK1TLS (which took 688 milliseconds) the DX Cluster window was redrawn (and that took 125 milliseconds).

Your previous report said that a particular callsign took more than 139,000 milliseconds (more than 139 seconds; 2 minutes 19 seconds) to process. I figure that means we've lost some threads, or that your database is very (VERY!) slow. These trace messages should isolate the problem pretty quickly.

K7ZCZ

2018-07-07 13:31

administrator   ~0005634

Build 862 is available, with the above timing log feature.

WA9PIE

2018-07-26 11:54

administrator   ~0005846

I'm checking with one of our expert users to see if he agrees that this is fixed.

w4pg

2018-07-26 15:30

viewer   ~0005851

Some of these lookups appear to be VERY long but I could be wrong.

Stopwatch.PNG (117,332 bytes)
Stopwatch.PNG (117,332 bytes)

K7ZCZ

2018-07-26 17:51

administrator   ~0005852

Thanks for the post, W4PG. A screenshot of the log shows interesting information, but a complete copy of the log would have much more context and give complete information. It's possible to catch a complete copy of the log using the buttons in the toolbar at the top of the log.

I don't think we want any of the lookup queries to take more than a few hundred milliseconds. There are six to eight queries, so even then, eight times 500 millseconds is 4 seconds. 500 lookups would take 2000 seconds, more than 30 minutes. So even a few hundred millseconds is terrible.

From what we can see from this partial log, there are some queries that are way out of this upper bound; 25202601 microseconds is 25.2 seconds, and tha'ts unacceptable. One single query is 129 seconds long -- and that's one query, just 1/6th of the work necessary to process that callsign.

The long queries occur on XQ6CFX, IU8HPD, and W2NMY. They occur at lines 4829, 3894, and 4009. This means that from this evidence, we can't figure that one query is the problem; nor can we figure that one callsign is the problem. We also see the queries happen on different thread numbers, so we can't conclude that one particular connection is causing the problem.

It would be helpful to know:

  1. What does the database management configuration look like? How many, and which databases are set for DX Cluster lookup?

  2. For each database: which version of which backend database is in use? How is it configured?

  3. A backup of the involved database (or databases) might be helpful.

  4. Probably other things; for example, MySQL isn't a trivial database server, and can't be epxected to maintain itself. If indexes are fragmented, pages are growing, slow storage drive, whatever -- lots of things can drive down query performance.

K7ZCZ

2018-07-27 00:29

administrator   ~0005854

Wow, I'm way off. Sixteen separate queries for one spot arriving.

22:28:02  Stopwatch      BackgroundProcessingThreadLookups.cpp (2609): [threadNumber = 1, callsign = "R2EA"] 2493 microseconds
22:28:02  Stopwatch      BackgroundProcessingThreadLookups.cpp (2768): [threadNumber = 1, callsign = "R2EA"] 2031 microseconds
22:28:02  Stopwatch      BackgroundProcessingThreadLookups.cpp (3362): [threadNumber = 1, callsign = "R2EA"] 1173 microseconds
22:28:02  Stopwatch      BackgroundProcessingThreadLookups.cpp (3411): [threadNumber = 1, callsign = "R2EA"] 2038 microseconds
22:28:02  Stopwatch      BackgroundProcessingThreadLookups.cpp (3446): [threadNumber = 1, callsign = "R2EA"] 1874 microseconds
22:28:02  Stopwatch      BackgroundProcessingThreadLookups.cpp (3495): [threadNumber = 1, callsign = "R2EA"] 1143 microseconds
22:28:02  Stopwatch      BackgroundProcessingThreadLookups.cpp (3894): [threadNumber = 1, callsign = "R2EA"] 1291 microseconds
22:28:02  Stopwatch      BackgroundProcessingThreadLookups.cpp (3951): [threadNumber = 1, callsign = "R2EA"] 1294 microseconds
22:28:02  Stopwatch      BackgroundProcessingThreadLookups.cpp (4009): [threadNumber = 1, callsign = "R2EA"] 1543 microseconds
22:28:02  Stopwatch      BackgroundProcessingThreadLookups.cpp (3894): [threadNumber = 1, callsign = "R2EA"] 1657 microseconds
22:28:02  Stopwatch      BackgroundProcessingThreadLookups.cpp (3951): [threadNumber = 1, callsign = "R2EA"] 1718 microseconds
22:28:02  Stopwatch      BackgroundProcessingThreadLookups.cpp (4009): [threadNumber = 1, callsign = "R2EA"] 1596 microseconds
22:28:02  Stopwatch      BackgroundProcessingThreadLookups.cpp (4784): [threadNumber = 1, callsign = "R2EA"] 1543 microseconds
22:28:02  Stopwatch      BackgroundProcessingThreadLookups.cpp (4829): [threadNumber = 1, callsign = "R2EA"] 883 microseconds
22:28:02  Stopwatch      BackgroundProcessingThreadLookups.cpp (4829): [threadNumber = 1, callsign = "R2EA"] 1060 microseconds
22:28:02  Stopwatch      BackgroundProcessingThreadLookups.cpp (4829): [threadNumber = 1, callsign = "R2EA"] 1582 microseconds
22:28:02  CDXCObject     lookup of R2EA took 31 milliseconds, refresh took 16 milliseconds

WA9PIE

2018-07-27 12:44

administrator   ~0005859

Yeah, there's enough smoke here for us to try to find the spark before it becomes a fire. I'm focusing the support team on collecting detail about this (and one other) item.

w4pg

2018-07-27 13:01

viewer   ~0005860

Here is a complete log file of my setup with the long updating problem.

HRD Logbook Logfile 2018-07-27 175853.txt (68,262 bytes)
17:54:45  Thread         : Creating thread
17:54:45  Thread         : Created thread, handle = 0000029C, errno = 0
17:54:45  Thread         : Starting thread, handle = 668
17:54:45  Thread         Closing 0 databases
17:54:45  Database       Opening 3 databases
17:54:45  Thread         : Creating thread
17:54:45  Thread         : Created thread, handle = 000002AC, errno = 0
17:54:45  Thread         : Starting thread, handle = 684
17:54:45  Thread         Closing 0 databases
17:54:45  Database       Opening 3 databases
17:54:45  Thread         : Creating thread
17:54:45  Thread         : Created thread, handle = 000002B8, errno = 0
17:54:45  Thread         : Creating thread
17:54:45  Thread         : Starting thread, handle = 696
17:54:45  Thread         Closing 0 databases
17:54:45  Database       Opening 3 databases
17:54:45  Thread         : Created thread, handle = 000002C4, errno = 0
17:54:45  Thread         : Creating thread
17:54:45  Thread         : Starting thread, handle = 708
17:54:45  Thread         Closing 0 databases
17:54:45  Database       Opening 3 databases
17:54:45  Thread         : Created thread, handle = 000002D4, errno = 0
17:54:45  Thread         : Starting thread, handle = 724
17:54:45  Thread         Closing 0 databases
17:54:45  Database       Opening 3 databases
17:54:45  WOW64          Checking WOW64
17:54:45  WOW64          WOW64 status 1
17:54:45  Database       Opening, DSN=HRD My Logbook - Access 001;DBQ=C:\Users\Public\Documents\HRD My Logbook.mdb
17:54:45  Database       Opening, DSN=HRD My Logbook - Access 001;DBQ=C:\Users\Public\Documents\HRD My Logbook.mdb
17:54:45  Database       Opening, DSN=HRD My Logbook - Access 001;DBQ=C:\Users\Public\Documents\HRD My Logbook.mdb
17:54:45  Database       Opening, DSN=HRD My Logbook - Access 001;DBQ=C:\Users\Public\Documents\HRD My Logbook.mdb
17:54:45  Database       Opening, DSN=HRD My Logbook - Access 001;DBQ=C:\Users\Public\Documents\HRD My Logbook.mdb
17:54:45  Database       Opening, DSN=HRD My Logbook - Access 001;DBQ=C:\Users\Public\Documents\HRD My Logbook.mdb
17:54:45  Database       Opening, DSN=HRD My Logbook - Access 001;DBQ=C:\Users\Public\Documents\HRD My Logbook.mdb
17:54:45  Database       Opening, DSN=HRD My Logbook - Access 001;DBQ=C:\Users\Public\Documents\HRD My Logbook.mdb
17:54:45  Database       Opening, DSN=HRD My Logbook - Access 001;DBQ=C:\Users\Public\Documents\HRD My Logbook.mdb
17:54:45  Database       Opening, DSN=HRD My Logbook - Access 001;DBQ=C:\Users\Public\Documents\HRD My Logbook.mdb
17:54:45  HRD Interface  Initializing: HRD
17:54:46  Soundcards     Loading Soundcard Mixers
17:54:46  Soundcards         8  [DAX Audio RX 1 (FlexRadio Syste]
17:54:46  Soundcards         4  [DAX Audio RX 2 (FlexRadio Syste]
17:54:46  Soundcards         3  [DAX Audio RX 3 (FlexRadio Syste]
17:54:46  Soundcards         14  [DAX Audio RX 4 (FlexRadio Syste]
17:54:46  Soundcards         7  [DAX Audio RX 5 (FlexRadio Syste]
17:54:46  Soundcards         9  [DAX Audio RX 6 (FlexRadio Syste]
17:54:46  Soundcards         13  [DAX Audio RX 7 (FlexRadio Syste]
17:54:46  Soundcards         10  [DAX Audio RX 8 (FlexRadio Syste]
17:54:46  Soundcards         12  [DAX IQ RX 1 (FlexRadio Systems]
17:54:46  Soundcards         5  [DAX IQ RX 2 (FlexRadio Systems]
17:54:46  Soundcards         6  [DAX IQ RX 3 (FlexRadio Systems]
17:54:46  Soundcards         1  [DAX IQ RX 4 (FlexRadio Systems]
17:54:46  Soundcards         2  [DAX MIC Audio (FlexRadio System]
17:54:46  Soundcards         11  [DAX RESERVED AUDIO TX (FlexRadi]
17:54:46  Soundcards         0  [Microphone (2- USB Audio CODEC]
                         
17:54:46  Soundcard      Matching []
17:54:46  Soundcard      Matching [], index = -1
17:54:46  Thread         Alarms: Creating thread
17:54:46  Thread         Alarms: Created thread, handle = 00000654, errno = 0
17:54:46  Thread         Alarms: Starting thread, handle = 1620
17:54:46  Thread         General: Creating thread
17:54:46  Thread         General: Created thread, handle = 00000650, errno = 0
17:54:46  Thread         General: Starting thread, handle = 1616
17:54:47  Thread         Internet: Creating thread
17:54:47  Thread         Internet: Created thread, handle = 00000658, errno = 0
17:54:47  Thread         Lookups: Creating thread
17:54:47  Thread         Internet: Starting thread, handle = 1624
17:54:47  Thread         Lookups: Created thread, handle = 0000065C, errno = 0
17:54:47  Thread         Lookups: Starting thread, handle = 1628
17:54:47  Thread         Radio: Creating thread
17:54:47  Thread         Radio: Created thread, handle = 000006B0, errno = 0
17:54:47  Thread         Radio: Starting thread, handle = 1712
17:54:47  Thread         Soundcard: Creating thread
17:54:47  Thread         Soundcard: Created thread, handle = 000006B4, errno = 0
17:54:47  Thread         Soundcard: Starting thread, handle = 1716
17:54:47  Thread         Closing 0 databases
17:54:47  Database       Opening 3 databases
17:54:47  Database       Opening, DSN=HRD My Logbook - Access 001;DBQ=C:\Users\Public\Documents\HRD My Logbook.mdb
17:54:47  Database       Opening, DSN=HRD My Logbook - Access 001;DBQ=C:\Users\Public\Documents\HRD My Logbook.mdb
17:54:47  Init Calendar  Database: Provider=Microsoft.Jet.OLEDB.4.0;Data Source='C:\Users\BobJr\AppData\Roaming\HRDLLC\HRD Logbook\HRDLogbookCalendar001.mdb';
17:54:47  Init Calendar  Notification object: 0751CA50
17:54:47  Init Calendar  Advising reminders
17:54:47  General        Loading layout from C:\Users\BobJr\AppData\Roaming\HRDLLC\HRD Logbook\LogbookMainLayoutB_002.xml
17:54:47  General        Loading class CRadioScreenFrame
17:54:47  General        Loading class CHRDLogbookFrame
17:54:47  Database       Checking 'W4PG - Access' data source 'DSN=HRD My Logbook - Access 001;DBQ=C:\Users\Public\Documents\HRD My Logbook.mdb' -
17:54:47  Database       Exists
17:54:47  DSN            Database username ................: admin
17:54:47  DSN            Database name ....................: C:\Users\Public\Documents\HRD My Logbook
17:54:47  DSN            DBMS product name ................: ACCESS
17:54:47  DSN            Driver filename ..................: odbcjt32.dll
17:54:47  DSN            Driver ODBC support ..............: 03.51
17:54:47  DSN            Driver manager ODBC conformance ..: 03.80.0000
17:54:47  DSN            Maximum active connections .......: 64
17:54:47  DSN            Maximum active statements ........: Unlimited
17:54:47  DSN            Read only ........................: N
17:54:47  DSN            Server name ......................: ACCESS
17:54:47  Database       Opening 'DSN=HRD My Logbook - Access 001;DBQ=C:\Users\Public\Documents\HRD My Logbook.mdb'
17:54:47  Database       Open status 1
17:54:47  Database       Opening 'HRD My Logbook - Access 001'
17:54:47  Database       Open status 1
17:54:47  Database       Timeout ..: 120 seconds
17:54:47  Database       Open status 1
17:54:48  MDMP cleanup   Searching C:\ProgramData\HRDLLC\*.mdmp for minidumps ...
17:54:48  MDMP cleanup   Found file C:\ProgramData\HRDLLC\HRDLogbook_20180726_221456.mdmp, date 2018-07-26, size is 641579, age is 0 days
17:54:48  MDMP cleanup   Total length is 641579 and less than 10737418240, no files removed for size
17:54:48  HRD Interface  Host name      = BobJr-PC
17:54:48  HRD Interface  Host address 1 = 192.168.0.8
17:54:48  HRD Interface  Connecting to localhost port 7809
17:54:48  HRD Interface  BobJr-PC address 1 = 127.0.0.1
17:54:48  HRD Interface  Connected
17:54:48  HRD Interface  Set recv timeout = 30000 milliseconds
17:54:48  HRD Interface  Get recv timeout = 30000 milliseconds
17:54:48  HRD Interface  Set send timeout = 30000 milliseconds
17:54:48  HRD Interface  Get send timeout = 30000 milliseconds
17:54:48  HRD Interface  Set recv buffer = 32768 Bytes
17:54:48  HRD Interface  Get recv buffer = 32768 Bytes
17:54:48  HRD Interface  Set send buffer = 32768 Bytes
17:54:48  HRD Interface  Get send buffer = 32768 Bytes
17:54:48  Web            Loaded 44 lines from http://legacy-www.swpc.noaa.gov/ftpdir/indices/DSD.txt
17:54:48  Web            Loaded 356 lines from http://legacy-www.swpc.noaa.gov/ftpdir/weekly/RecentIndices.txt
17:54:49  Web            Loaded 44 lines from http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt
17:54:49  Web            Loaded 44 lines from http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt
17:54:49  Web            Loaded 44 lines from http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt
17:54:56  Web            Loaded 14 lines from http://services.swpc.noaa.gov/text/wwv.txt
17:54:56  Web            WWV data ..: SF:66 A:4 K:1
17:55:01  Web            Cluster DXConnect: Manual Connect()

17:55:01  Web            Connect(): Manual = TRUE

17:55:01  Web            Create: New Socket Created.

17:56:53  HRD Interface  Message >> [227] get frequencies
17:56:53  HRD Interface  Message << 14197940-21288320
17:56:53  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:56:53  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:56:54  HRD Interface  Message >> [227] get frequencies
17:56:54  HRD Interface  Message << 14197940-21288320
17:56:54  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:56:54  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:56:54  HRD Interface  Message >> [227] get frequencies
17:56:54  HRD Interface  Message << 14197940-21288320
17:56:54  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:56:54  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3411): [threadNumber = 2, callsign = "R4SAV"] 10050982 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (4829): [threadNumber = 0, callsign = "UA6AK"] 9611029 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3082): [threadNumber = 4, callsign = "RV1CC"] 9613269 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (4829): [threadNumber = 0, callsign = "UA6AK"] 2722 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3446): [threadNumber = 2, callsign = "R4SAV"] 3041 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (2609): [threadNumber = 1, callsign = "EA1IWI"] 9615611 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3362): [threadNumber = 4, callsign = "RV1CC"] 927 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3495): [threadNumber = 2, callsign = "R4SAV"] 4428 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3411): [threadNumber = 4, callsign = "RV1CC"] 3942 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3362): [threadNumber = 2, callsign = "R4SAV"] 1077 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3446): [threadNumber = 4, callsign = "RV1CC"] 1467 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3411): [threadNumber = 2, callsign = "R4SAV"] 981 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (2768): [threadNumber = 1, callsign = "EA1IWI"] 5978 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3446): [threadNumber = 2, callsign = "R4SAV"] 1686 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3495): [threadNumber = 4, callsign = "RV1CC"] 2697 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3495): [threadNumber = 2, callsign = "R4SAV"] 551 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (2768): [threadNumber = 1, callsign = "EA1IWI"] 2282 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3082): [threadNumber = 1, callsign = "EA1IWI"] 2182 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3362): [threadNumber = 4, callsign = "RV1CC"] 2584 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3894): [threadNumber = 2, callsign = "R4SAV"] 2899 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3362): [threadNumber = 1, callsign = "EA1IWI"] 1670 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3446): [threadNumber = 4, callsign = "RV1CC"] 2077 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3411): [threadNumber = 1, callsign = "EA1IWI"] 1581 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3446): [threadNumber = 1, callsign = "EA1IWI"] 890 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (4784): [threadNumber = 3, callsign = "EA1BQR"] 36772702 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3951): [threadNumber = 2, callsign = "R4SAV"] 5320 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3495): [threadNumber = 1, callsign = "EA1IWI"] 1503 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3362): [threadNumber = 1, callsign = "EA1IWI"] 1075 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3894): [threadNumber = 2, callsign = "R4SAV"] 1486 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3951): [threadNumber = 2, callsign = "R4SAV"] 1077 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3411): [threadNumber = 1, callsign = "EA1IWI"] 1662 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (4829): [threadNumber = 0, callsign = "UA6AK"] 21282 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (4009): [threadNumber = 2, callsign = "R4SAV"] 1434 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3446): [threadNumber = 1, callsign = "EA1IWI"] 1036 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3495): [threadNumber = 1, callsign = "EA1IWI"] 1346 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3894): [threadNumber = 2, callsign = "R4SAV"] 1469 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3894): [threadNumber = 4, callsign = "RV1CC"] 12181 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (4829): [threadNumber = 3, callsign = "EA1BQR"] 9845 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3894): [threadNumber = 1, callsign = "EA1IWI"] 6083 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (4784): [threadNumber = 0, callsign = "UA6AK"] 13796 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3951): [threadNumber = 2, callsign = "R4SAV"] 12623 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (4829): [threadNumber = 0, callsign = "UA6AK"] 2144 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3951): [threadNumber = 1, callsign = "EA1IWI"] 8312 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (4829): [threadNumber = 3, callsign = "EA1BQR"] 11131 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3894): [threadNumber = 2, callsign = "R4SAV"] 2178 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (4829): [threadNumber = 0, callsign = "UA6AK"] 1645 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3894): [threadNumber = 1, callsign = "EA1IWI"] 1533 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3951): [threadNumber = 2, callsign = "R4SAV"] 1361 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3951): [threadNumber = 4, callsign = "RV1CC"] 13057 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3951): [threadNumber = 1, callsign = "EA1IWI"] 1522 microseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (4009): [threadNumber = 2, callsign = "R4SAV"] 1299 microseconds
17:56:54  CDXCObject     lookup of "R4SAV" took 36801 milliseconds
17:56:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (3894): [threadNumber = 4, callsign = "RV1CC"] 1241 microseconds
17:56:55  HRD Interface  Message >> [227] get frequencies
17:56:55  HRD Interface  Message << 14197940-21288320
17:56:55  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:56:55  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:56:55  HRD Interface  Message >> [227] get frequencies
17:56:55  HRD Interface  Message << 14197940-21288320
17:56:55  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:56:55  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:56:56  HRD Interface  Message >> [227] get frequencies
17:56:56  HRD Interface  Message << 14197940-21288320
17:56:56  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:56:56  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:56:56  HRD Interface  Message >> [227] get frequencies
17:56:56  HRD Interface  Message << 14197940-21288320
17:56:56  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:56:56  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:56:57  HRD Interface  Message >> [227] get frequencies
17:56:57  HRD Interface  Message << 14197940-21288320
17:56:57  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:56:57  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:56:58  HRD Interface  Message >> [227] get frequencies
17:56:58  HRD Interface  Message << 14197940-21288320
17:56:58  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:56:58  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:56:59  HRD Interface  Message >> [227] get frequencies
17:56:59  HRD Interface  Message << 14197940-21288320
17:56:59  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:56:59  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:56:59  HRD Interface  Message >> [227] get frequencies
17:56:59  HRD Interface  Message << 14197940-21288320
17:56:59  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:56:59  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:00  HRD Interface  Message >> [227] get frequencies
17:57:00  HRD Interface  Message << 14197940-21288320
17:57:00  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:00  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:00  HRD Interface  Message >> [227] get frequencies
17:57:00  HRD Interface  Message << 14197940-21288320
17:57:00  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:00  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:01  HRD Interface  Message >> [227] get frequencies
17:57:01  HRD Interface  Message << 14197940-21288320
17:57:01  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:01  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:01  HRD Interface  Message >> [227] get frequencies
17:57:01  HRD Interface  Message << 14197940-21288320
17:57:01  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:01  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:02  HRD Interface  Message >> [227] get frequencies
17:57:02  HRD Interface  Message << 14197940-21288320
17:57:02  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:02  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:02  HRD Interface  Message >> [227] get frequencies
17:57:02  HRD Interface  Message << 14197940-21288320
17:57:02  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:02  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:03  HRD Interface  Message >> [227] get frequencies
17:57:03  HRD Interface  Message << 14197940-21288320
17:57:03  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:03  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:03  HRD Interface  Message >> [227] get frequencies
17:57:03  HRD Interface  Message << 14197940-21288320
17:57:03  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:03  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:04  HRD Interface  Message >> [227] get frequencies
17:57:04  HRD Interface  Message << 14197940-21288320
17:57:04  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:04  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:04  HRD Interface  Message >> [227] get frequencies
17:57:04  HRD Interface  Message << 14197940-21288320
17:57:04  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:04  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:05  HRD Interface  Message >> [227] get frequencies
17:57:05  HRD Interface  Message << 14197940-21288320
17:57:05  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:05  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:05  HRD Interface  Message >> [227] get frequencies
17:57:05  HRD Interface  Message << 14197940-21288320
17:57:05  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:05  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:06  HRD Interface  Message >> [227] get frequencies
17:57:06  HRD Interface  Message << 14197940-21288320
17:57:06  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:06  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:06  HRD Interface  Message >> [227] get frequencies
17:57:06  HRD Interface  Message << 14197940-21288320
17:57:06  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:06  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:07  HRD Interface  Message >> [227] get frequencies
17:57:07  HRD Interface  Message << 14197940-21288320
17:57:07  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:07  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:07  HRD Interface  Message >> [227] get frequencies
17:57:07  HRD Interface  Message << 14197940-21288320
17:57:07  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:07  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:08  HRD Interface  Message >> [227] get frequencies
17:57:08  HRD Interface  Message << 14197940-21288320
17:57:08  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:08  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:08  HRD Interface  Message >> [227] get frequencies
17:57:08  HRD Interface  Message << 14197940-21288320
17:57:08  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:08  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:09  HRD Interface  Message >> [227] get frequencies
17:57:09  HRD Interface  Message << 14197940-21288320
17:57:09  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:09  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:09  HRD Interface  Message >> [227] get frequencies
17:57:09  HRD Interface  Message << 14197940-21288320
17:57:09  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:09  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:10  HRD Interface  Message >> [227] get frequencies
17:57:10  HRD Interface  Message << 14197940-21288320
17:57:10  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:10  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:10  HRD Interface  Message >> [227] get frequencies
17:57:10  HRD Interface  Message << 14197940-21288320
17:57:10  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:10  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:11  HRD Interface  Message >> [227] get frequencies
17:57:11  HRD Interface  Message << 14197940-21288320
17:57:11  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:11  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:11  HRD Interface  Message >> [227] get frequencies
17:57:11  HRD Interface  Message << 14197940-21288320
17:57:11  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:11  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:12  HRD Interface  Message >> [227] get frequencies
17:57:12  HRD Interface  Message << 14197940-21288320
17:57:12  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:12  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:12  HRD Interface  Message >> [227] get frequencies
17:57:12  HRD Interface  Message << 14197940-21288320
17:57:12  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:12  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:13  HRD Interface  Message >> [227] get frequencies
17:57:13  HRD Interface  Message << 14197940-21288320
17:57:13  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:13  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:13  HRD Interface  Message >> [227] get frequencies
17:57:13  HRD Interface  Message << 14197940-21288320
17:57:13  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:13  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:14  HRD Interface  Message >> [227] get frequencies
17:57:14  HRD Interface  Message << 14197940-21288320
17:57:14  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:14  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:14  HRD Interface  Message >> [227] get frequencies
17:57:14  HRD Interface  Message << 14197940-21288320
17:57:14  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:14  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:15  HRD Interface  Message >> [227] get frequencies
17:57:15  HRD Interface  Message << 14197940-21288320
17:57:15  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:15  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:21  HRD Interface  Message >> [227] get frequencies
17:57:21  HRD Interface  Message << 14197940-21288320
17:57:21  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:21  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:22  HRD Interface  Message >> [227] get frequencies
17:57:22  HRD Interface  Message << 14197940-21288320
17:57:22  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:22  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:22  HRD Interface  Message >> [227] get frequencies
17:57:22  HRD Interface  Message << 14197940-21288320
17:57:22  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:22  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:24  HRD Interface  Message >> [227] get frequencies
17:57:24  HRD Interface  Message << 14197940-21288320
17:57:24  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:24  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:24  HRD Interface  Message >> [227] get frequencies
17:57:24  HRD Interface  Message << 14197940-21288320
17:57:24  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:24  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:25  HRD Interface  Message >> [227] get frequencies
17:57:25  HRD Interface  Message << 14197940-21288320
17:57:25  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:25  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:25  HRD Interface  Message >> [227] get frequencies
17:57:25  HRD Interface  Message << 14197940-21288320
17:57:25  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:25  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:26  HRD Interface  Message >> [227] get frequencies
17:57:26  HRD Interface  Message << 14197940-21288320
17:57:26  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:26  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:26  HRD Interface  Message >> [227] get frequencies
17:57:26  HRD Interface  Message << 14197940-21288320
17:57:26  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:26  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:27  HRD Interface  Message >> [227] get frequencies
17:57:27  HRD Interface  Message << 14197940-21288320
17:57:27  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:27  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:27  HRD Interface  Message >> [227] get frequencies
17:57:27  HRD Interface  Message << 14197940-21288320
17:57:27  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:27  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:36  HRD Interface  Message >> [227] get frequencies
17:57:36  HRD Interface  Message << 14197940-21288320
17:57:36  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:36  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:36  HRD Interface  Message >> [227] get frequencies
17:57:36  HRD Interface  Message << 14197940-21288320
17:57:36  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:36  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:37  HRD Interface  Message >> [227] get frequencies
17:57:37  HRD Interface  Message << 14197940-21288320
17:57:37  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:37  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:37  HRD Interface  Message >> [227] get frequencies
17:57:37  HRD Interface  Message << 14197940-21288320
17:57:37  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:37  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:38  HRD Interface  Message >> [227] get frequencies
17:57:38  HRD Interface  Message << 14197940-21288320
17:57:38  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:38  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:38  HRD Interface  Message >> [227] get frequencies
17:57:38  HRD Interface  Message << 14197940-21288320
17:57:38  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:38  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:39  HRD Interface  Message >> [227] get frequencies
17:57:39  HRD Interface  Message << 14197940-21288320
17:57:39  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:39  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:39  HRD Interface  Message >> [227] get frequencies
17:57:39  HRD Interface  Message << 14197940-21288320
17:57:39  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:39  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:40  HRD Interface  Message >> [227] get frequencies
17:57:40  HRD Interface  Message << 14197940-21288320
17:57:40  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:40  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:40  HRD Interface  Message >> [227] get frequencies
17:57:40  HRD Interface  Message << 14197940-21288320
17:57:40  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:40  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:41  HRD Interface  Message >> [227] get frequencies
17:57:41  HRD Interface  Message << 14197940-21288320
17:57:41  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:41  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:41  HRD Interface  Message >> [227] get frequencies
17:57:41  HRD Interface  Message << 14197940-21288320
17:57:41  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:41  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:43  Stopwatch      BackgroundProcessingThreadLookups.cpp (4009): [threadNumber = 1, callsign = "EA1IWI"] 48803835 microseconds
17:57:44  HRD Interface  Message >> [227] get frequencies
17:57:44  HRD Interface  Message << 14197940-21288320
17:57:44  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:44  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:44  Stopwatch      BackgroundProcessingThreadLookups.cpp (3951): [threadNumber = 4, callsign = "RV1CC"] 49552930 microseconds
17:57:44  Stopwatch      BackgroundProcessingThreadLookups.cpp (4009): [threadNumber = 4, callsign = "RV1CC"] 1801 microseconds
17:57:44  Stopwatch      BackgroundProcessingThreadLookups.cpp (3894): [threadNumber = 1, callsign = "EA1IWI"] 750786 microseconds
17:57:44  Stopwatch      BackgroundProcessingThreadLookups.cpp (4829): [threadNumber = 0, callsign = "UA6AK"] 49558596 microseconds
17:57:44  CDXCObject     lookup of "UA6AK" took 112539 milliseconds
17:57:44  HRD Interface  Message >> [227] get frequencies
17:57:44  HRD Interface  Message << 14197940-21288320
17:57:44  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:44  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:45  HRD Interface  Message >> [227] get frequencies
17:57:45  HRD Interface  Message << 14197940-21288320
17:57:45  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:45  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:45  HRD Interface  Message >> [227] get frequencies
17:57:45  HRD Interface  Message << 14197940-21288320
17:57:45  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:45  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:47  HRD Interface  Message >> [227] get frequencies
17:57:47  HRD Interface  Message << 14197940-21288320
17:57:47  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:47  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:48  HRD Interface  Message >> [227] get frequencies
17:57:48  HRD Interface  Message << 14197940-21288320
17:57:48  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:48  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:48  HRD Interface  Message >> [227] get frequencies
17:57:48  HRD Interface  Message << 14197940-21288320
17:57:48  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:48  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:49  HRD Interface  Message >> [227] get frequencies
17:57:49  HRD Interface  Message << 14197940-21288320
17:57:49  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:49  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:49  HRD Interface  Message >> [227] get frequencies
17:57:49  HRD Interface  Message << 14197940-21288320
17:57:49  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:49  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:50  HRD Interface  Message >> [227] get frequencies
17:57:50  HRD Interface  Message << 14197940-21288320
17:57:50  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:50  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:50  HRD Interface  Message >> [227] get frequencies
17:57:50  HRD Interface  Message << 14197940-21288320
17:57:50  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:50  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:51  HRD Interface  Message >> [227] get frequencies
17:57:51  HRD Interface  Message << 14197940-21288320
17:57:51  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:51  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:51  HRD Interface  Message >> [227] get frequencies
17:57:51  HRD Interface  Message << 14197940-21288320
17:57:51  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:51  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:52  HRD Interface  Message >> [227] get frequencies
17:57:52  HRD Interface  Message << 14197940-21288320
17:57:52  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:52  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:52  HRD Interface  Message >> [227] get frequencies
17:57:52  HRD Interface  Message << 14197940-21288320
17:57:52  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:52  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:53  HRD Interface  Message >> [227] get frequencies
17:57:53  HRD Interface  Message << 14197940-21288320
17:57:53  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:53  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:53  HRD Interface  Message >> [227] get frequencies
17:57:53  HRD Interface  Message << 14197940-21288320
17:57:53  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:53  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (2609): [threadNumber = 2, callsign = "KB7RUQ"] 59412698 microseconds
17:57:54  HRD Interface  Message >> [227] get frequencies
17:57:54  HRD Interface  Message << 14197940-21288320
17:57:54  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:54  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:54  Stopwatch      BackgroundProcessingThreadLookups.cpp (2609): [threadNumber = 0, callsign = "M0NPT"] 10105480 microseconds
17:57:54  HRD Interface  Message >> [227] get frequencies
17:57:54  HRD Interface  Message << 14197940-21288320
17:57:54  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:54  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:55  Stopwatch      BackgroundProcessingThreadLookups.cpp (3951): [threadNumber = 1, callsign = "EA1IWI"] 10732113 microseconds
17:57:55  Stopwatch      BackgroundProcessingThreadLookups.cpp (3894): [threadNumber = 4, callsign = "RV1CC"] 10742040 microseconds
17:57:55  Stopwatch      BackgroundProcessingThreadLookups.cpp (3894): [threadNumber = 1, callsign = "EA1IWI"] 10153 microseconds
17:57:55  Stopwatch      BackgroundProcessingThreadLookups.cpp (2609): [threadNumber = 2, callsign = "KB7RUQ"] 884428 microseconds
17:57:55  HRD Interface  Message >> [227] get frequencies
17:57:55  HRD Interface  Message << 14197940-21288320
17:57:55  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:55  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:55  HRD Interface  Message >> [227] get frequencies
17:57:55  HRD Interface  Message << 14197940-21288320
17:57:55  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:55  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:56  HRD Interface  Message >> [227] get frequencies
17:57:56  HRD Interface  Message << 14197940-21288320
17:57:56  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:56  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:56  HRD Interface  Message >> [227] get frequencies
17:57:56  HRD Interface  Message << 14197940-21288320
17:57:56  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:56  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:57  HRD Interface  Message >> [227] get frequencies
17:57:57  HRD Interface  Message << 14197940-21288320
17:57:57  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:57  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:57  HRD Interface  Message >> [227] get frequencies
17:57:57  HRD Interface  Message << 14197940-21288320
17:57:57  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:57  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:58  HRD Interface  Message >> [227] get frequencies
17:57:58  HRD Interface  Message << 14197940-21288320
17:57:58  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:58  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:58  HRD Interface  Message >> [227] get frequencies
17:57:58  HRD Interface  Message << 14197940-21288320
17:57:58  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:58  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:59  HRD Interface  Message >> [227] get frequencies
17:57:59  HRD Interface  Message << 14197940-21288320
17:57:59  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:59  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:57:59  HRD Interface  Message >> [227] get frequencies
17:57:59  HRD Interface  Message << 14197940-21288320
17:57:59  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:57:59  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:00  HRD Interface  Message >> [227] get frequencies
17:58:00  HRD Interface  Message << 14197940-21288320
17:58:00  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:00  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:00  HRD Interface  Message >> [227] get frequencies
17:58:00  HRD Interface  Message << 14197940-21288320
17:58:00  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:00  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:01  HRD Interface  Message >> [227] get frequencies
17:58:01  HRD Interface  Message << 14197940-21288320
17:58:01  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:01  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:01  HRD Interface  Message >> [227] get frequencies
17:58:01  HRD Interface  Message << 14197940-21288320
17:58:01  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:01  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:02  HRD Interface  Message >> [227] get frequencies
17:58:02  HRD Interface  Message << 14197940-21288320
17:58:02  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:02  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:02  HRD Interface  Message >> [227] get frequencies
17:58:02  HRD Interface  Message << 14197940-21288320
17:58:02  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:02  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:03  HRD Interface  Message >> [227] get frequencies
17:58:03  HRD Interface  Message << 14197940-21288320
17:58:03  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:03  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:03  HRD Interface  Message >> [227] get frequencies
17:58:03  HRD Interface  Message << 14197940-21288320
17:58:03  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:03  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:04  HRD Interface  Message >> [227] get frequencies
17:58:04  HRD Interface  Message << 14197940-21288320
17:58:04  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:04  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:04  HRD Interface  Message >> [227] get frequencies
17:58:04  HRD Interface  Message << 14197940-21288320
17:58:04  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:04  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:05  HRD Interface  Message >> [227] get frequencies
17:58:05  HRD Interface  Message << 14197940-21288320
17:58:05  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:05  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:05  HRD Interface  Message >> [227] get frequencies
17:58:05  HRD Interface  Message << 14197940-21288320
17:58:05  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:05  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:06  HRD Interface  Message >> [227] get frequencies
17:58:06  HRD Interface  Message << 14197940-21288320
17:58:06  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:06  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:06  HRD Interface  Message >> [227] get frequencies
17:58:06  HRD Interface  Message << 14197940-21288320
17:58:06  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:06  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:07  HRD Interface  Message >> [227] get frequencies
17:58:07  HRD Interface  Message << 14197940-21288320
17:58:07  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:07  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:07  HRD Interface  Message >> [227] get frequencies
17:58:07  HRD Interface  Message << 14197940-21288320
17:58:07  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:07  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:08  HRD Interface  Message >> [227] get frequencies
17:58:08  HRD Interface  Message << 14197940-21288320
17:58:08  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:08  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:08  HRD Interface  Message >> [227] get frequencies
17:58:08  HRD Interface  Message << 14197940-21288320
17:58:08  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:08  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:09  HRD Interface  Message >> [227] get frequencies
17:58:09  HRD Interface  Message << 14197940-21288320
17:58:09  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:09  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:09  HRD Interface  Message >> [227] get frequencies
17:58:09  HRD Interface  Message << 14197940-21288320
17:58:09  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:09  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:10  HRD Interface  Message >> [227] get frequencies
17:58:10  HRD Interface  Message << 14197940-21288320
17:58:10  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:10  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:10  HRD Interface  Message >> [227] get frequencies
17:58:10  HRD Interface  Message << 14197940-21288320
17:58:10  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:10  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:11  HRD Interface  Message >> [227] get frequencies
17:58:11  HRD Interface  Message << 14197940-21288320
17:58:11  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:11  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:11  HRD Interface  Message >> [227] get frequencies
17:58:11  HRD Interface  Message << 14197940-21288320
17:58:11  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:11  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:12  HRD Interface  Message >> [227] get frequencies
17:58:12  HRD Interface  Message << 14197940-21288320
17:58:12  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:12  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:12  HRD Interface  Message >> [227] get frequencies
17:58:12  HRD Interface  Message << 14197940-21288320
17:58:12  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:12  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:13  HRD Interface  Message >> [227] get frequencies
17:58:13  HRD Interface  Message << 14197940-21288320
17:58:13  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:13  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:13  HRD Interface  Message >> [227] get frequencies
17:58:13  HRD Interface  Message << 14197940-21288320
17:58:13  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:13  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:41  HRD Interface  Message >> [227] get frequencies
17:58:41  HRD Interface  Message << 14197940-21288320
17:58:41  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:41  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:41  HRD Interface  Message >> [227] get frequencies
17:58:41  HRD Interface  Message << 14197940-21288320
17:58:41  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:41  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:42  HRD Interface  Message >> [227] get frequencies
17:58:42  HRD Interface  Message << 14197940-21288320
17:58:42  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:42  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:43  Stopwatch      BackgroundProcessingThreadLookups.cpp (2609): [threadNumber = 0, callsign = "M0NPT"] 49427166 microseconds
17:58:43  Stopwatch      BackgroundProcessingThreadLookups.cpp (3951): [threadNumber = 1, callsign = "EA1IWI"] 48793013 microseconds
17:58:45  HRD Interface  Message >> [227] get frequencies
17:58:45  HRD Interface  Message << 14197940-21288320
17:58:45  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:45  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:45  HRD Interface  Message >> [227] get frequencies
17:58:45  HRD Interface  Message << 14197940-21288320
17:58:45  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:45  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:46  HRD Interface  Message >> [227] get frequencies
17:58:46  HRD Interface  Message << 14197940-21288320
17:58:46  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:46  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:49  HRD Interface  Message >> [227] get frequencies
17:58:49  HRD Interface  Message << 14197940-21288320
17:58:49  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:49  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:50  HRD Interface  Message >> [227] get frequencies
17:58:50  HRD Interface  Message << 14197940-21288320
17:58:50  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:50  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:50  HRD Interface  Message >> [227] get frequencies
17:58:50  HRD Interface  Message << 14197940-21288320
17:58:50  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:50  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:51  HRD Interface  Message >> [227] get frequencies
17:58:51  HRD Interface  Message << 14197940-21288320
17:58:51  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:51  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:51  HRD Interface  Message >> [227] get frequencies
17:58:51  HRD Interface  Message << 14197940-21288320
17:58:51  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:51  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:52  HRD Interface  Message >> [227] get frequencies
17:58:52  HRD Interface  Message << 14197940-21288320
17:58:52  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:52  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:52  HRD Interface  Message >> [227] get frequencies
17:58:52  HRD Interface  Message << 14197940-21288320
17:58:52  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:52  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:53  HRD Interface  Message >> [227] get frequencies
17:58:53  HRD Interface  Message << 14197940-21288320
17:58:53  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:53  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:54  HRD Interface  Message >> [227] get frequencies
17:58:54  HRD Interface  Message << 14197940-21288320
17:58:54  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:54  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:54  HRD Interface  Message >> [227] get frequencies
17:58:54  HRD Interface  Message << 14197940-21288320
17:58:54  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:54  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:55  HRD Interface  Message >> [227] get frequencies
17:58:55  HRD Interface  Message << 14197940-21288320
17:58:55  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:55  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:55  HRD Interface  Message >> [227] get frequencies
17:58:55  HRD Interface  Message << 14197940-21288320
17:58:55  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:55  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:56  HRD Interface  Message >> [227] get frequencies
17:58:56  HRD Interface  Message << 14197940-21288320
17:58:56  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:56  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:56  HRD Interface  Message >> [227] get frequencies
17:58:56  HRD Interface  Message << 14197940-21288320
17:58:56  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:56  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:57  Stopwatch      BackgroundProcessingThreadLookups.cpp (2768): [threadNumber = 0, callsign = "M0NPT"] 13230583 microseconds
17:58:57  Stopwatch      BackgroundProcessingThreadLookups.cpp (4009): [threadNumber = 1, callsign = "EA1IWI"] 13231576 microseconds
17:58:57  CDXCObject     lookup of "EA1IWI" took 146719 milliseconds
17:58:57  Stopwatch      BackgroundProcessingThreadLookups.cpp (2768): [threadNumber = 2, callsign = "KB7RUQ"] 62024217 microseconds
17:58:57  HRD Interface  Message >> [227] get frequencies
17:58:57  HRD Interface  Message << 14197940-21288320
17:58:57  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:57  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:57  HRD Interface  Message >> [227] get frequencies
17:58:57  HRD Interface  Message << 14197940-21288320
17:58:57  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:57  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:58  HRD Interface  Message >> [227] get frequencies
17:58:58  HRD Interface  Message << 14197940-21288320
17:58:58  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:58  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:58  HRD Interface  Message >> [227] get frequencies
17:58:58  HRD Interface  Message << 14197940-21288320
17:58:58  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:58  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:59  HRD Interface  Message >> [227] get frequencies
17:58:59  HRD Interface  Message << 14197940-21288320
17:58:59  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:59  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:58:59  HRD Interface  Message >> [227] get frequencies
17:58:59  HRD Interface  Message << 14197940-21288320
17:58:59  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:58:59  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:59:00  HRD Interface  Message >> [227] get frequencies
17:59:00  HRD Interface  Message << 14197940-21288320
17:59:00  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:59:00  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:59:00  Stopwatch      BackgroundProcessingThreadLookups.cpp (2768): [threadNumber = 2, callsign = "KB7RUQ"] 3255337 microseconds
17:59:00  Stopwatch      BackgroundProcessingThreadLookups.cpp (2768): [threadNumber = 0, callsign = "M0NPT"] 3256599 microseconds
17:59:00  Stopwatch      BackgroundProcessingThreadLookups.cpp (2609): [threadNumber = 1, callsign = "RZ3QWE"] 3257856 microseconds
17:59:00  Stopwatch      BackgroundProcessingThreadLookups.cpp (3082): [threadNumber = 2, callsign = "KB7RUQ"] 2123 microseconds
17:59:00  Stopwatch      BackgroundProcessingThreadLookups.cpp (3082): [threadNumber = 0, callsign = "M0NPT"] 2096 microseconds
17:59:00  Stopwatch      BackgroundProcessingThreadLookups.cpp (3362): [threadNumber = 2, callsign = "KB7RUQ"] 4563 microseconds
17:59:00  Stopwatch      BackgroundProcessingThreadLookups.cpp (3362): [threadNumber = 0, callsign = "M0NPT"] 4770 microseconds
17:59:00  Stopwatch      BackgroundProcessingThreadLookups.cpp (3411): [threadNumber = 2, callsign = "KB7RUQ"] 566 microseconds
17:59:00  Stopwatch      BackgroundProcessingThreadLookups.cpp (2609): [threadNumber = 1, callsign = "RZ3QWE"] 6152 microseconds
17:59:00  Stopwatch      BackgroundProcessingThreadLookups.cpp (3951): [threadNumber = 4, callsign = "RV1CC"] 65289524 microseconds
17:59:00  Stopwatch      BackgroundProcessingThreadLookups.cpp (3411): [threadNumber = 0, callsign = "M0NPT"] 1319 microseconds
17:59:00  Stopwatch      BackgroundProcessingThreadLookups.cpp (3446): [threadNumber = 2, callsign = "KB7RUQ"] 2120 microseconds
17:59:00  HRD Interface  Message >> [227] get frequencies
17:59:00  HRD Interface  Message << 14197940-21288320
17:59:00  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:59:00  HRD Interface  Message << Mode: USB Quick Mem: Off Various
17:59:01  HRD Interface  Message >> [227] get frequencies
17:59:01  HRD Interface  Message << 14197940-21288320
17:59:01  HRD Interface  Message >> [227] get dropdown-text {Mode} [227] get dropdown-text {Quick~Mem} [227] get dropdown-text {Various}
17:59:01  HRD Interface  Message << Mode: USB Quick Mem: Off Various

K7ZCZ

2018-07-27 22:18

administrator   ~0005867

I ran the DX Cluster on an Access database with more than 65,000 records overnight -- no problems. A couple queries at initial connection were long, but no bigs.

K7ZCZ

2018-07-27 22:22

administrator   ~0005868

W4PG, thanks for providing your log. If you can answer any of the questions I posted earlier, I think it would be helpful. It looks like this problem manifests for you immediately on startup, rather than after running for a period of time. Is that correct?

I'm also curious about the configuratoin of your system. Is your Access database stored ona a spinning disk, or an SSD? Have you ever defragmented the database?

Finally, if you could share a screenshot of your "Management" page -- so I can see what databases are configured, which are used for WSI lookups, and so on, that might give some insight into what's going on with your configuration.

w4pg

2018-07-28 14:40

viewer   ~0005875

I'm running Windows 7 Pro 64 bit with 16 GB RAM and a 1 Terabyte SSD by Samsung. There are currently 3 database logs, though I only use 1. However, I noticed that my main log "W4PG-Access" and a 2nd log "My Logbook" (as listed in the Admin) are BOTH logging each time I enter a call into W4PG-Access. I also noticed I had BOTH logs set for WSI lookups. I "unclicked" the WSI lookup for the 2nd log. I'm checking to see if the 2nd log updates upon entering a call into the first now. I should note that I use JTAlertX to log my FT-8 contacts to HRD. I'm not sure if that program somehow was responsible for the calls going into the 2nd log or not but I think not as SSB and CW contacts (no JTAlertX running on those modes) also were logged into both logs. I'm thinking I should delete the other two logs and have only my main log in the logbook (see the attached image)

You asked "which version of which backend database is in use? How is it configured?" I don't understand the question. Are you asking about database backups?? I back up on every closing of HRD to the local computer and Dropbox, as well as a network storage disk.

My problem begins on startup. However, since I "unclicked" the 2nd log, it has sped up a bit but not as fast as it should be. Once all spots update, I still occasionally get notice of 3 or 4 updating from time to time. This could be normal.

I was at about 35% fragmented on the SSD. I did defrag it though from what I understand that doesn't really do much on SSD drives. No real change after that in performance.

Database.png (51,562 bytes)
Database.png (51,562 bytes)

w4pg

2018-07-28 15:47

viewer   ~0005877

I now have a single database for logging; same problem with the slow cluster on startup.

w4pg

2018-07-28 22:33

viewer   ~0005878

Tonight I deleted HRD and tried to load a much older version. It would not load. I tried to install a couple of different versions and they would not install. Finally I installed .872 again and it installed just fine.

After the install I logged onto the cluster. Within a few seconds, ALL spots were updated and current. WTF?? As I type this the cluster seems to be working fine. I have NO idea what changed.

I am posting the current logfile. Maybe someone can see something that might help make some sense from this.

............Bob

HRD Logbook Logfile 2018-07-29 032249.txt (42,373 bytes)
03:10:31  Thread         : Creating thread
03:10:31  Thread         : Created thread, handle = 0000029C, errno = 0
03:10:31  Thread         : Starting thread, handle = 668
03:10:31  Thread         Closing 0 databases
03:10:31  Database       Opening 1 databases
03:10:31  Thread         : Creating thread
03:10:31  Thread         : Created thread, handle = 000002AC, errno = 0
03:10:31  Thread         : Creating thread
03:10:31  Thread         : Starting thread, handle = 684
03:10:31  Thread         Closing 0 databases
03:10:31  Database       Opening 1 databases
03:10:31  Thread         : Created thread, handle = 000002B4, errno = 0
03:10:31  Thread         : Starting thread, handle = 692
03:10:31  Thread         : Creating thread
03:10:31  Thread         Closing 0 databases
03:10:31  Database       Opening 1 databases
03:10:31  Thread         : Created thread, handle = 000002D0, errno = 0
03:10:31  Thread         : Starting thread, handle = 720
03:10:31  Thread         : Creating thread
03:10:31  Thread         Closing 0 databases
03:10:31  Database       Opening 1 databases
03:10:31  Thread         : Created thread, handle = 000002E4, errno = 0
03:10:31  Thread         : Starting thread, handle = 740
03:10:31  Thread         Closing 0 databases
03:10:31  Database       Opening 1 databases
03:10:31  WOW64          Checking WOW64
03:10:31  WOW64          WOW64 status 1
03:10:31  Database       Opening, DSN=W4PG - Access;DBQ=C:\Users\BobJr\AppData\Roaming\HRDLLC\HRD Logbook\W4PG.mdb
03:10:31  Database       Opening, DSN=W4PG - Access;DBQ=C:\Users\BobJr\AppData\Roaming\HRDLLC\HRD Logbook\W4PG.mdb
03:10:31  Database       Opening, DSN=W4PG - Access;DBQ=C:\Users\BobJr\AppData\Roaming\HRDLLC\HRD Logbook\W4PG.mdb
03:10:31  Database       Opening, DSN=W4PG - Access;DBQ=C:\Users\BobJr\AppData\Roaming\HRDLLC\HRD Logbook\W4PG.mdb
03:10:31  Database       Opening, DSN=W4PG - Access;DBQ=C:\Users\BobJr\AppData\Roaming\HRDLLC\HRD Logbook\W4PG.mdb
03:10:31  HRD Interface  Initializing: HRD
03:10:31  Soundcards     Loading Soundcard Mixers
03:10:31  Soundcards         8  [DAX Audio RX 1 (FlexRadio Syste]
03:10:31  Soundcards         4  [DAX Audio RX 2 (FlexRadio Syste]
03:10:31  Soundcards         3  [DAX Audio RX 3 (FlexRadio Syste]
03:10:31  Soundcards         14  [DAX Audio RX 4 (FlexRadio Syste]
03:10:31  Soundcards         7  [DAX Audio RX 5 (FlexRadio Syste]
03:10:31  Soundcards         9  [DAX Audio RX 6 (FlexRadio Syste]
03:10:31  Soundcards         13  [DAX Audio RX 7 (FlexRadio Syste]
03:10:31  Soundcards         10  [DAX Audio RX 8 (FlexRadio Syste]
03:10:31  Soundcards         12  [DAX IQ RX 1 (FlexRadio Systems]
03:10:31  Soundcards         5  [DAX IQ RX 2 (FlexRadio Systems]
03:10:31  Soundcards         6  [DAX IQ RX 3 (FlexRadio Systems]
03:10:31  Soundcards         1  [DAX IQ RX 4 (FlexRadio Systems]
03:10:31  Soundcards         2  [DAX MIC Audio (FlexRadio System]
03:10:31  Soundcards         11  [DAX RESERVED AUDIO TX (FlexRadi]
03:10:31  Soundcards         0  [Microphone (2- USB Audio CODEC]
                         
03:10:31  Soundcard      Matching []
03:10:31  Soundcard      Matching [], index = -1
03:10:32  Thread         Alarms: Creating thread
03:10:32  Thread         Alarms: Created thread, handle = 000005E0, errno = 0
03:10:32  Thread         Alarms: Starting thread, handle = 1504
03:10:32  Thread         General: Creating thread
03:10:32  Thread         General: Created thread, handle = 000005DC, errno = 0
03:10:32  Thread         General: Starting thread, handle = 1500
03:10:33  Thread         Internet: Creating thread
03:10:33  Thread         Internet: Created thread, handle = 000005E4, errno = 0
03:10:33  Thread         Lookups: Creating thread
03:10:33  Thread         Lookups: Created thread, handle = 000005E8, errno = 0
03:10:33  Thread         Internet: Starting thread, handle = 1508
03:10:33  Thread         Lookups: Starting thread, handle = 1512
03:10:33  Thread         Radio: Creating thread
03:10:33  Thread         Radio: Created thread, handle = 0000063C, errno = 0
03:10:33  Thread         Radio: Starting thread, handle = 1596
03:10:33  Thread         Soundcard: Creating thread
03:10:33  Thread         Soundcard: Created thread, handle = 00000640, errno = 0
03:10:33  Thread         Soundcard: Starting thread, handle = 1600
03:10:33  Thread         Closing 0 databases
03:10:33  Database       Opening 1 databases
03:10:33  Database       Opening, DSN=W4PG - Access;DBQ=C:\Users\BobJr\AppData\Roaming\HRDLLC\HRD Logbook\W4PG.mdb
03:10:33  Init Calendar  Database: Provider=Microsoft.Jet.OLEDB.4.0;Data Source='C:\Users\BobJr\AppData\Roaming\HRDLLC\HRD Logbook\HRDLogbookCalendar001.mdb';
03:10:33  Init Calendar  Notification object: 07609990
03:10:33  Init Calendar  Advising reminders
03:10:33  General        Loading layout from C:\Users\BobJr\AppData\Roaming\HRDLLC\HRD Logbook\LogbookMainLayoutB_002.xml
03:10:33  General        Loading class CRadioScreenFrame
03:10:33  General        Loading class CHRDLogbookFrame
03:10:33  Database       Checking 'W4PG - Access' data source 'DSN=W4PG - Access;DBQ=C:\Users\BobJr\AppData\Roaming\HRDLLC\HRD Logbook\W4PG.mdb' -
03:10:33  Database       Exists
03:10:33  DSN            Database username ................: admin
03:10:33  DSN            Database name ....................: C:\Users\BobJr\AppData\Roaming\HRDLLC\HRD Logbook\W4PG
03:10:33  DSN            DBMS product name ................: ACCESS
03:10:33  DSN            Driver filename ..................: odbcjt32.dll
03:10:33  DSN            Driver ODBC support ..............: 03.51
03:10:33  DSN            Driver manager ODBC conformance ..: 03.80.0000
03:10:33  DSN            Maximum active connections .......: 64
03:10:33  DSN            Maximum active statements ........: Unlimited
03:10:33  DSN            Read only ........................: N
03:10:33  DSN            Server name ......................: ACCESS
03:10:33  Database       Opening 'DSN=W4PG - Access;DBQ=C:\Users\BobJr\AppData\Roaming\HRDLLC\HRD Logbook\W4PG.mdb'
03:10:33  Database       Open status 1
03:10:33  Database       Opening 'W4PG - Access'
03:10:33  Database       Open status 1
03:10:33  Database       Timeout ..: 120 seconds
03:10:33  Database       Open status 1
03:10:33  General        Loading class CLogfileFrame
03:10:34  MDMP cleanup   Searching C:\ProgramData\HRDLLC\*.mdmp for minidumps ...
03:10:34  MDMP cleanup   Found file C:\ProgramData\HRDLLC\HRDLogbook_20180726_221456.mdmp, date 2018-07-26, size is 641579, age is 2 days
03:10:34  MDMP cleanup   Found file C:\ProgramData\HRDLLC\HRDLogbook_20180727_181503.mdmp, date 2018-07-27, size is 943107, age is 1 days
03:10:34  MDMP cleanup   Found file C:\ProgramData\HRDLLC\HRDLogbook_20180728_184951.mdmp, date 2018-07-28, size is 891350, age is 0 days
03:10:34  MDMP cleanup   Found file C:\ProgramData\HRDLLC\HRDLogbook_20180728_210129.mdmp, date 2018-07-28, size is 788062, age is 0 days
03:10:34  MDMP cleanup   Found file C:\ProgramData\HRDLLC\HRDLogbook_20180728_210130.mdmp, date 2018-07-28, size is 899160, age is 0 days
03:10:34  MDMP cleanup   Found file C:\ProgramData\HRDLLC\HRDLogbook_20180729_024402.mdmp, date 2018-07-29, size is 730999, age is 0 days
03:10:34  MDMP cleanup   Found file C:\ProgramData\HRDLLC\HRDLogbook_20180729_025517.mdmp, date 2018-07-29, size is 739482, age is 0 days
03:10:34  MDMP cleanup   Total length is 5633739 and less than 10737418240, no files removed for size
03:10:34  HRD Interface  Host name      = BobJr-PC
03:10:34  HRD Interface  Host address 1 = 192.168.0.8
03:10:34  HRD Interface  Connecting to localhost port 7809
03:10:34  HRD Interface  BobJr-PC address 1 = 127.0.0.1
03:10:34  HRD Interface  Connected
03:10:34  HRD Interface  Set recv timeout = 30000 milliseconds
03:10:34  HRD Interface  Get recv timeout = 30000 milliseconds
03:10:34  HRD Interface  Set send timeout = 30000 milliseconds
03:10:34  HRD Interface  Get send timeout = 30000 milliseconds
03:10:34  HRD Interface  Set recv buffer = 32768 Bytes
03:10:34  HRD Interface  Get recv buffer = 32768 Bytes
03:10:34  HRD Interface  Set send buffer = 32768 Bytes
03:10:34  HRD Interface  Get send buffer = 32768 Bytes
03:10:34  Web            Loaded 44 lines from http://legacy-www.swpc.noaa.gov/ftpdir/indices/DSD.txt
03:10:34  Web            Loaded 356 lines from http://legacy-www.swpc.noaa.gov/ftpdir/weekly/RecentIndices.txt
03:10:34  Web            Loaded 44 lines from http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt
03:10:34  Web            Loaded 44 lines from http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt
03:10:34  Web            Loaded 44 lines from http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt
03:10:34  Web            Loaded 14 lines from http://services.swpc.noaa.gov/text/wwv.txt
03:10:34  Web            WWV data ..: SF:68 A:5 K:2
03:10:51  Web            Cluster DXConnect: Manual Connect()

03:10:51  Web            Connect(): Manual = TRUE

03:10:51  Web            Create: New Socket Created.

03:22:03  HRD Interface  Message >> [243] get frequencies
03:22:03  HRD Interface  Message << 10112930-21288790
03:22:03  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:03  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:04  HRD Interface  Message >> [243] get frequencies
03:22:04  HRD Interface  Message << 10112930-21288790
03:22:04  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:04  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:04  HRD Interface  Message >> [243] get frequencies
03:22:04  HRD Interface  Message << 10112930-21288790
03:22:04  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:04  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:05  HRD Interface  Message >> [243] get frequencies
03:22:05  HRD Interface  Message << 10112930-21288790
03:22:05  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:05  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:05  HRD Interface  Message >> [243] get frequencies
03:22:05  HRD Interface  Message << 10112930-21288790
03:22:05  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:05  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:06  HRD Interface  Message >> [243] get frequencies
03:22:06  HRD Interface  Message << 10112930-21288790
03:22:06  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:06  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:06  HRD Interface  Message >> [243] get frequencies
03:22:06  HRD Interface  Message << 10112930-21288790
03:22:06  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:06  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:08  HRD Interface  Message >> [243] get frequencies
03:22:08  HRD Interface  Message << 10112930-21288790
03:22:08  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:08  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:09  HRD Interface  Message >> [243] get frequencies
03:22:09  HRD Interface  Message << 10112930-21288790
03:22:09  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:09  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:09  HRD Interface  Message >> [243] get frequencies
03:22:09  HRD Interface  Message << 10112930-21288790
03:22:09  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:09  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:10  HRD Interface  Message >> [243] get frequencies
03:22:10  HRD Interface  Message << 10112930-21288790
03:22:10  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:10  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:10  HRD Interface  Message >> [243] get frequencies
03:22:10  HRD Interface  Message << 10112930-21288790
03:22:10  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:10  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:11  HRD Interface  Message >> [243] get frequencies
03:22:11  HRD Interface  Message << 10112930-21288790
03:22:11  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:11  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:11  HRD Interface  Message >> [243] get frequencies
03:22:11  HRD Interface  Message << 10112930-21288790
03:22:11  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:11  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:12  HRD Interface  Message >> [243] get frequencies
03:22:12  HRD Interface  Message << 10112930-21288790
03:22:12  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:12  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:12  HRD Interface  Message >> [243] get frequencies
03:22:12  HRD Interface  Message << 10112930-21288790
03:22:12  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:12  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:17  HRD Interface  Message >> [243] get frequencies
03:22:17  HRD Interface  Message << 10112930-21288790
03:22:17  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:17  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:18  Stopwatch      BackgroundProcessingThreadLookups.cpp (2609): [threadNumber = 1, callsign = "CR5CW"] 1490 microseconds
03:22:18  Stopwatch      BackgroundProcessingThreadLookups.cpp (2768): [threadNumber = 1, callsign = "CR5CW"] 494 microseconds
03:22:18  Stopwatch      BackgroundProcessingThreadLookups.cpp (3082): [threadNumber = 1, callsign = "CR5CW"] 624 microseconds
03:22:18  Stopwatch      BackgroundProcessingThreadLookups.cpp (3362): [threadNumber = 1, callsign = "CR5CW"] 347 microseconds
03:22:18  Stopwatch      BackgroundProcessingThreadLookups.cpp (3411): [threadNumber = 1, callsign = "CR5CW"] 265 microseconds
03:22:18  Stopwatch      BackgroundProcessingThreadLookups.cpp (3446): [threadNumber = 1, callsign = "CR5CW"] 310 microseconds
03:22:18  Stopwatch      BackgroundProcessingThreadLookups.cpp (3495): [threadNumber = 1, callsign = "CR5CW"] 242 microseconds
03:22:18  Stopwatch      BackgroundProcessingThreadLookups.cpp (3894): [threadNumber = 1, callsign = "CR5CW"] 457 microseconds
03:22:18  Stopwatch      BackgroundProcessingThreadLookups.cpp (3951): [threadNumber = 1, callsign = "CR5CW"] 695 microseconds
03:22:18  Stopwatch      BackgroundProcessingThreadLookups.cpp (3894): [threadNumber = 1, callsign = "CR5CW"] 339 microseconds
03:22:18  Stopwatch      BackgroundProcessingThreadLookups.cpp (3951): [threadNumber = 1, callsign = "CR5CW"] 323 microseconds
03:22:18  Stopwatch      BackgroundProcessingThreadLookups.cpp (4009): [threadNumber = 1, callsign = "CR5CW"] 270 microseconds
03:22:18  Stopwatch      BackgroundProcessingThreadLookups.cpp (4784): [threadNumber = 1, callsign = "CR5CW"] 550 microseconds
03:22:18  Stopwatch      BackgroundProcessingThreadLookups.cpp (4829): [threadNumber = 1, callsign = "CR5CW"] 404 microseconds
03:22:18  Stopwatch      BackgroundProcessingThreadLookups.cpp (4829): [threadNumber = 1, callsign = "CR5CW"] 438 microseconds
03:22:18  Stopwatch      BackgroundProcessingThreadLookups.cpp (4829): [threadNumber = 1, callsign = "CR5CW"] 532 microseconds
03:22:18  CDXCObject     lookup of CR5CW took 0 milliseconds, refresh took 0 milliseconds
03:22:18  HRD Interface  Message >> [243] get frequencies
03:22:18  HRD Interface  Message << 10112930-21288790
03:22:18  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:18  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:18  HRD Interface  Message >> [243] get frequencies
03:22:18  HRD Interface  Message << 10112930-21288790
03:22:18  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:18  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:19  HRD Interface  Message >> [243] get frequencies
03:22:19  HRD Interface  Message << 10112930-21288790
03:22:19  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:19  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:19  HRD Interface  Message >> [243] get frequencies
03:22:19  HRD Interface  Message << 10112930-21288790
03:22:19  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:19  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:20  HRD Interface  Message >> [243] get frequencies
03:22:20  HRD Interface  Message << 10112930-21288790
03:22:20  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:20  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:20  HRD Interface  Message >> [243] get frequencies
03:22:20  HRD Interface  Message << 10112930-21288790
03:22:20  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:20  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:21  HRD Interface  Message >> [243] get frequencies
03:22:21  HRD Interface  Message << 10112930-21288790
03:22:21  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:21  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:21  HRD Interface  Message >> [243] get frequencies
03:22:21  HRD Interface  Message << 10112930-21288790
03:22:21  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:21  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:22  HRD Interface  Message >> [243] get frequencies
03:22:22  HRD Interface  Message << 10112930-21288790
03:22:22  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:22  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:22  HRD Interface  Message >> [243] get frequencies
03:22:22  HRD Interface  Message << 10112930-21288790
03:22:22  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:22  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:23  HRD Interface  Message >> [243] get frequencies
03:22:23  HRD Interface  Message << 10112930-21288790
03:22:23  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:23  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:23  HRD Interface  Message >> [243] get frequencies
03:22:23  HRD Interface  Message << 10112930-21288790
03:22:23  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:23  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:24  HRD Interface  Message >> [243] get frequencies
03:22:24  HRD Interface  Message << 10112930-21288790
03:22:24  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:24  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:24  HRD Interface  Message >> [243] get frequencies
03:22:24  HRD Interface  Message << 10112930-21288790
03:22:24  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:24  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:25  HRD Interface  Message >> [243] get frequencies
03:22:25  HRD Interface  Message << 10112930-21288790
03:22:25  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:25  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:25  HRD Interface  Message >> [243] get frequencies
03:22:25  HRD Interface  Message << 10112930-21288790
03:22:25  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:25  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:26  HRD Interface  Message >> [243] get frequencies
03:22:26  HRD Interface  Message << 10112930-21288790
03:22:26  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:26  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:26  HRD Interface  Message >> [243] get frequencies
03:22:26  HRD Interface  Message << 10112930-21288790
03:22:26  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:26  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:27  HRD Interface  Message >> [243] get frequencies
03:22:27  HRD Interface  Message << 10112930-21288790
03:22:27  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:27  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:27  HRD Interface  Message >> [243] get frequencies
03:22:27  HRD Interface  Message << 10112930-21288790
03:22:27  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:27  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:28  HRD Interface  Message >> [243] get frequencies
03:22:28  HRD Interface  Message << 10112930-21288790
03:22:28  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:28  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:28  HRD Interface  Message >> [243] get frequencies
03:22:28  HRD Interface  Message << 10112930-21288790
03:22:28  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:28  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:29  HRD Interface  Message >> [243] get frequencies
03:22:29  HRD Interface  Message << 10112930-21288790
03:22:29  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:29  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:29  HRD Interface  Message >> [243] get frequencies
03:22:29  HRD Interface  Message << 10112930-21288790
03:22:29  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:29  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:30  HRD Interface  Message >> [243] get frequencies
03:22:30  HRD Interface  Message << 10112930-21288790
03:22:30  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:30  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:30  HRD Interface  Message >> [243] get frequencies
03:22:30  HRD Interface  Message << 10112930-21288790
03:22:30  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:30  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:31  HRD Interface  Message >> [243] get frequencies
03:22:31  HRD Interface  Message << 10112930-21288790
03:22:31  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:31  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:31  HRD Interface  Message >> [243] get frequencies
03:22:31  HRD Interface  Message << 10112930-21288790
03:22:31  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:31  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:32  HRD Interface  Message >> [243] get frequencies
03:22:32  HRD Interface  Message << 10112930-21288790
03:22:32  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:32  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:32  HRD Interface  Message >> [243] get frequencies
03:22:32  HRD Interface  Message << 10112930-21288790
03:22:32  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:32  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:33  HRD Interface  Message >> [243] get frequencies
03:22:33  HRD Interface  Message << 10112930-21288790
03:22:33  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:33  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:33  Stopwatch      BackgroundProcessingThreadLookups.cpp (2609): [threadNumber = 1, callsign = "HS5NMF"] 682 microseconds
03:22:33  Stopwatch      BackgroundProcessingThreadLookups.cpp (2768): [threadNumber = 1, callsign = "HS5NMF"] 343 microseconds
03:22:33  Stopwatch      BackgroundProcessingThreadLookups.cpp (3082): [threadNumber = 1, callsign = "HS5NMF"] 476 microseconds
03:22:33  Stopwatch      BackgroundProcessingThreadLookups.cpp (3362): [threadNumber = 1, callsign = "HS5NMF"] 351 microseconds
03:22:33  Stopwatch      BackgroundProcessingThreadLookups.cpp (3411): [threadNumber = 1, callsign = "HS5NMF"] 277 microseconds
03:22:33  Stopwatch      BackgroundProcessingThreadLookups.cpp (3446): [threadNumber = 1, callsign = "HS5NMF"] 563 microseconds
03:22:33  Stopwatch      BackgroundProcessingThreadLookups.cpp (3495): [threadNumber = 1, callsign = "HS5NMF"] 292 microseconds
03:22:33  Stopwatch      BackgroundProcessingThreadLookups.cpp (3894): [threadNumber = 1, callsign = "HS5NMF"] 393 microseconds
03:22:33  Stopwatch      BackgroundProcessingThreadLookups.cpp (3951): [threadNumber = 1, callsign = "HS5NMF"] 406 microseconds
03:22:33  Stopwatch      BackgroundProcessingThreadLookups.cpp (3894): [threadNumber = 1, callsign = "HS5NMF"] 329 microseconds
03:22:33  Stopwatch      BackgroundProcessingThreadLookups.cpp (3951): [threadNumber = 1, callsign = "HS5NMF"] 389 microseconds
03:22:33  Stopwatch      BackgroundProcessingThreadLookups.cpp (4009): [threadNumber = 1, callsign = "HS5NMF"] 277 microseconds
03:22:33  Stopwatch      BackgroundProcessingThreadLookups.cpp (4784): [threadNumber = 1, callsign = "HS5NMF"] 355 microseconds
03:22:33  Stopwatch      BackgroundProcessingThreadLookups.cpp (4829): [threadNumber = 1, callsign = "HS5NMF"] 337 microseconds
03:22:33  Stopwatch      BackgroundProcessingThreadLookups.cpp (4829): [threadNumber = 1, callsign = "HS5NMF"] 379 microseconds
03:22:33  Stopwatch      BackgroundProcessingThreadLookups.cpp (4829): [threadNumber = 1, callsign = "HS5NMF"] 307 microseconds
03:22:33  CDXCObject     lookup of HS5NMF took 0 milliseconds, refresh took 0 milliseconds
03:22:33  HRD Interface  Message >> [243] get frequencies
03:22:33  HRD Interface  Message << 10112930-21288790
03:22:33  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:33  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:34  HRD Interface  Message >> [243] get frequencies
03:22:34  HRD Interface  Message << 10112930-21288790
03:22:34  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:34  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:34  HRD Interface  Message >> [243] get frequencies
03:22:34  HRD Interface  Message << 10112930-21288790
03:22:34  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:34  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:35  HRD Interface  Message >> [243] get frequencies
03:22:35  HRD Interface  Message << 10112930-21288790
03:22:35  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:35  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:35  HRD Interface  Message >> [243] get frequencies
03:22:35  HRD Interface  Message << 10112930-21288790
03:22:35  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:35  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:36  HRD Interface  Message >> [243] get frequencies
03:22:36  HRD Interface  Message << 10112930-21288790
03:22:36  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:36  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:36  HRD Interface  Message >> [243] get frequencies
03:22:36  HRD Interface  Message << 10112930-21288790
03:22:36  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:36  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:37  HRD Interface  Message >> [243] get frequencies
03:22:37  HRD Interface  Message << 10112930-21288790
03:22:37  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:37  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:37  HRD Interface  Message >> [243] get frequencies
03:22:37  HRD Interface  Message << 10112930-21288790
03:22:37  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:37  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:38  HRD Interface  Message >> [243] get frequencies
03:22:38  HRD Interface  Message << 10112930-21288790
03:22:38  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:38  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:38  HRD Interface  Message >> [243] get frequencies
03:22:38  HRD Interface  Message << 10112930-21288790
03:22:38  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:38  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:39  HRD Interface  Message >> [243] get frequencies
03:22:39  HRD Interface  Message << 10112930-21288790
03:22:39  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:39  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:39  HRD Interface  Message >> [243] get frequencies
03:22:39  HRD Interface  Message << 10112930-21288790
03:22:39  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:39  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:40  HRD Interface  Message >> [243] get frequencies
03:22:40  HRD Interface  Message << 10112930-21288790
03:22:40  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:40  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:40  HRD Interface  Message >> [243] get frequencies
03:22:40  HRD Interface  Message << 10112930-21288790
03:22:40  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:40  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:41  HRD Interface  Message >> [243] get frequencies
03:22:41  HRD Interface  Message << 10112930-21288790
03:22:41  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:41  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:41  HRD Interface  Message >> [243] get frequencies
03:22:41  HRD Interface  Message << 10112930-21288790
03:22:41  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:41  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:42  HRD Interface  Message >> [243] get frequencies
03:22:42  HRD Interface  Message << 10112930-21288790
03:22:42  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:42  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:42  HRD Interface  Message >> [243] get frequencies
03:22:42  HRD Interface  Message << 10112930-21288790
03:22:42  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:42  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:43  HRD Interface  Message >> [243] get frequencies
03:22:43  HRD Interface  Message << 10112930-21288790
03:22:43  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:43  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:43  HRD Interface  Message >> [243] get frequencies
03:22:43  HRD Interface  Message << 10112930-21288790
03:22:43  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:43  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:44  HRD Interface  Message >> [243] get frequencies
03:22:44  HRD Interface  Message << 10112930-21288790
03:22:44  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:44  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:44  HRD Interface  Message >> [243] get frequencies
03:22:44  HRD Interface  Message << 10112930-21288790
03:22:44  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:44  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:45  HRD Interface  Message >> [243] get frequencies
03:22:45  HRD Interface  Message << 10112930-21288790
03:22:45  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:45  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:45  HRD Interface  Message >> [243] get frequencies
03:22:45  HRD Interface  Message << 10112930-21288790
03:22:45  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:45  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:46  HRD Interface  Message >> [243] get frequencies
03:22:46  HRD Interface  Message << 10112930-21288790
03:22:46  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:46  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:46  HRD Interface  Message >> [243] get frequencies
03:22:46  HRD Interface  Message << 10112930-21288790
03:22:46  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:46  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:47  HRD Interface  Message >> [243] get frequencies
03:22:47  HRD Interface  Message << 10112930-21288790
03:22:47  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:47  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:47  HRD Interface  Message >> [243] get frequencies
03:22:47  HRD Interface  Message << 10112930-21288790
03:22:47  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:47  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:48  HRD Interface  Message >> [243] get frequencies
03:22:48  HRD Interface  Message << 10112930-21288790
03:22:48  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:48  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:48  HRD Interface  Message >> [243] get frequencies
03:22:48  HRD Interface  Message << 10112930-21288790
03:22:48  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:48  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:49  HRD Interface  Message >> [243] get frequencies
03:22:49  HRD Interface  Message << 10112930-21288790
03:22:49  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:49  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:49  HRD Interface  Message >> [243] get frequencies
03:22:49  HRD Interface  Message << 10112930-21288790
03:22:49  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:49  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:50  HRD Interface  Message >> [243] get frequencies
03:22:50  HRD Interface  Message << 10112930-21288790
03:22:50  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:50  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:50  HRD Interface  Message >> [243] get frequencies
03:22:50  HRD Interface  Message << 10112930-21288790
03:22:50  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:50  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:51  HRD Interface  Message >> [243] get frequencies
03:22:51  HRD Interface  Message << 10112930-21288790
03:22:51  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:51  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:51  HRD Interface  Message >> [243] get frequencies
03:22:51  HRD Interface  Message << 10112930-21288790
03:22:51  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:51  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:52  HRD Interface  Message >> [243] get frequencies
03:22:52  HRD Interface  Message << 10112930-21288790
03:22:52  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:52  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:52  HRD Interface  Message >> [243] get frequencies
03:22:52  HRD Interface  Message << 10112930-21288790
03:22:52  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:52  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:53  HRD Interface  Message >> [243] get frequencies
03:22:53  HRD Interface  Message << 10112930-21288790
03:22:53  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:53  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:54  HRD Interface  Message >> [243] get frequencies
03:22:54  HRD Interface  Message << 10112930-21288790
03:22:54  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:54  HRD Interface  Message << Mode: CW Quick Mem: Off Various
03:22:54  HRD Interface  Message >> [243] get frequencies
03:22:54  HRD Interface  Message << 10112930-21288790
03:22:54  HRD Interface  Message >> [243] get dropdown-text {Mode} [243] get dropdown-text {Quick~Mem} [243] get dropdown-text {Various}
03:22:54  HRD Interface  Message << Mode: CW Quick Mem: Off Various

K7ZCZ

2018-07-29 12:04

administrator   ~0005879

Thanks for sharing your notes. At this point, we don't have any real leads on the cause of the slowness, so we need as many details as we can get in order to form a diagnosis.

 > "W4PG-Access" and a 2nd log "My Logbook" (as listed in the Admin) are BOTH logging each time I enter a call into W4PG-Access
 
Given the configuration you show in your "Logbook Databases" managemet window, the Logbook is behaving as designed. The "W4PG-Access" database is connected to the "HRD My Logbook - Access 001" data source. The "My Logbook" database is also connected to that same "HRD My Logbook - Access 001" data source.

With that configuration, in the Logbook, you can open a log database named "W4PG-Access", and simultaneously open a database named "My Logbook". But those views are based on the same database store; they're both stored in the "HRD My Logbook - Access 001" data source. Logging a record to "W4PG-Access" naturally causes the same record to appear in "My Logbook" because it's the same physical database hosting both data stores.

I'm not sure why you'd purposefuly create this configuration. It must be that you've created it by accident, since you seem surprised by the behavior it causes.

 > I'm checking to see if the 2nd log updates upon entering a call into the first now.

The "WSI" setting is separate. It determines which databases are considered when looking up a contact to see if it was worked before. Looking up a log entry to determine its worked state involves reading from the databases only; it doesn't involve writing. The WSI setting won't change what gets written when logging.

 > However, since I "unclicked" the 2nd log, it has sped up a bit but not as fast as it should be.
 
It would've been usefult to see the timing log from such a run. Can you make that log available to us?
 
 > How is it configured?" I don't understand the question.
 
I'm not asking about backups. A back-end data store is the data store that actually stores data. The front-end of an application presents the application's UI. The back-end does the actual work; the database storage, in this case. The Logbook doesn't do any data storage itself. Instead, it connects to an ODBC data source, and that data source does the storage.

By default, the Logbook sets up a data source with the Access database engine. Users are free to change that configuration, and use any version of Access; or use another database management system like MySQL, SQL Server, or whatever else they might have. Because we're examining an issue that seems to be related to database performance, it's imperative that I understand what database management system is involved in storing and retrieving the data the Logbook needs.

 > I was at about 35% fragmented on the SSD.
 
I asked about your phyiscal storage media because it helps eliminate a potential cause. If your database file is badly fragmented, then we need to worry about how random access to the file is handled. If you had a spinning disk, random access is terribly slow. With an SSD, random access is very fast and therefore eliminates internal fragmentation as a possible/probable cause for the problem you're experiencing.

I asked about internal fragmentation of the database; not hte fragmentation of the SSD. Databases can become internally fragmented even if the database file itself is stored contiguously.

 > I have NO idea what changed.

I don't know what changed, either. Reinstalling probably deleted any evidence that we might have collected from your system while it was in a bad state, and I thus can't make a comparison of the bad configuration with the good configuration. At this point, becaues the evidence of the bad configuration has been destroyed, I don't know how to proceed with investigation.

The log you post shows that there aren't many lookups happening. Two, in fact; one for HS5NMF and one for CR5CW. Both complete in less than one millisecond, which is great. But there are only two lookups. This log makes it apparent that you changed your database configurations so that you're only connecting to the "W4PG-Access" data source.

The older log file you posted had much longer lookup durations -- a couple of minutes, in some cases. And it shows that you were looking up dozens and dozens of callsigns.

The configuration that you claim is faster certainly is faster; but it's also doing a very small fraction of the what the slower configuration is doing.

w4pg

2018-07-29 12:58

viewer   ~0005881

Yes, that previous database setup was an "accident." I did not mean to do that. I now have just a single database. I don't have any other log files from the previous database setup other than those posted.

The "new" setup updated the entire cluster within 2 minutes of logging on. I'm still getting slow updates at times, with lookups at times exceeding 8 to 10 seconds. Currently, I am running ONLY the logbook program without anything else running.

I don't know how to check if my database is fragmented.

Attached is the logfile from the current run. There are many more lookups, some of which are taking up to 10 seconds or so. After updatingi all the spots initially, I see that the number of updating spots goes back up, currently over 24 updating, before slowly taking care of those then suddenly dropping to zero updating. Also attached is my current database manager.

HRD Logbook Logfile 2018-07-29 175115.txt (576,870 bytes)
W4PG_Access.PNG (42,476 bytes)
W4PG_Access.PNG (42,476 bytes)

w4pg

2018-07-29 15:55

viewer   ~0005883

Logbook has been running for a few hours and 0 updating now. I'm getting the 16 queries for each lookup, however. No idea what that means.

20:53:09 Stopwatch BackgroundProcessingThreadLookups.cpp (2609): [threadNumber = 3, callsign = "YO8DOH"] 1418 microseconds
20:53:09 Stopwatch BackgroundProcessingThreadLookups.cpp (2768): [threadNumber = 3, callsign = "YO8DOH"] 464 microseconds
20:53:09 Stopwatch BackgroundProcessingThreadLookups.cpp (3082): [threadNumber = 3, callsign = "YO8DOH"] 630 microseconds
20:53:09 Stopwatch BackgroundProcessingThreadLookups.cpp (3362): [threadNumber = 3, callsign = "YO8DOH"] 355 microseconds
20:53:09 Stopwatch BackgroundProcessingThreadLookups.cpp (3411): [threadNumber = 3, callsign = "YO8DOH"] 255 microseconds
20:53:09 Stopwatch BackgroundProcessingThreadLookups.cpp (3446): [threadNumber = 3, callsign = "YO8DOH"] 484 microseconds
20:53:09 Stopwatch BackgroundProcessingThreadLookups.cpp (3495): [threadNumber = 3, callsign = "YO8DOH"] 232 microseconds
20:53:09 Stopwatch BackgroundProcessingThreadLookups.cpp (3894): [threadNumber = 3, callsign = "YO8DOH"] 527 microseconds
20:53:09 Stopwatch BackgroundProcessingThreadLookups.cpp (3951): [threadNumber = 3, callsign = "YO8DOH"] 527 microseconds
20:53:09 Stopwatch BackgroundProcessingThreadLookups.cpp (3894): [threadNumber = 3, callsign = "YO8DOH"] 326 microseconds
20:53:09 Stopwatch BackgroundProcessingThreadLookups.cpp (3951): [threadNumber = 3, callsign = "YO8DOH"] 358 microseconds
20:53:09 Stopwatch BackgroundProcessingThreadLookups.cpp (4784): [threadNumber = 3, callsign = "YO8DOH"] 559 microseconds
20:53:09 Stopwatch BackgroundProcessingThreadLookups.cpp (4829): [threadNumber = 3, callsign = "YO8DOH"] 430 microseconds
20:53:09 Stopwatch BackgroundProcessingThreadLookups.cpp (4829): [threadNumber = 3, callsign = "YO8DOH"] 488 microseconds
20:53:09 Stopwatch BackgroundProcessingThreadLookups.cpp (4829): [threadNumber = 3, callsign = "YO8DOH"] 530 microseconds
20:53:09 CDXCObject lookup of YO8DOH took 0 milliseconds, refresh took 15 milliseconds

K7ZCZ

2018-07-29 16:33

administrator   ~0005887

A log from a period in which you had slow lookups would be helpful. A complete log of the whole session is best. The log fragment you've posted here is not interesting, since it doesn't show any symptoms.

w4pg

2018-07-30 17:00

viewer   ~0005889

Here are a couple that overlap a bit. Took several minutes to "update" the initial 100 or so spots, then once all updated, saw that it was taking quite a few seconds to update some spots afterwards.

HRD Logbook Logfile 2018-07-30 214658.txt (839,795 bytes)
HRD Logbook Logfile 2018-07-30 215545.txt (1,037,157 bytes)

K7ZCZ

2018-08-01 10:28

administrator   ~0005899

thanks for sharing the logs!

I think there's two fundamental things they show us. One is that this problem comes and goes. That sounds pretty simple, but it's important because it means that something is dynamically affecting performance. It isn't that the system is always slow; it's that it is sometimes slow. We have to figure out what sometimes makes it slow down.

The other is that we can't seem to relate the slowdown to a particular query or a particular callsign.

Would you consider providing your raw *.MDF file to me for testing? Maybe I can find something wrong or anomolous in it. I'm unable to reproduce this issue with any database that I create, so I'd like to have a shot at trying with a database that's known to cause the issue on another system.

w4pg

2018-08-01 17:35

viewer   ~0005901

You'll have to tell me exactly what file you need. I have no idea what the HRD *.MDF file is. I'm not a programmer and you're not speaking a language I understand. My log backups are *.XML files. Sorry.

............Bob

w4pg

2018-08-01 17:44

viewer   ~0005902

I'm thinking you need the *.mdb file of my database. If so, I can put that in Dropbox for you. Just let me know.
......Bob

K7ZCZ

2018-08-02 10:32

administrator   ~0005903

Sorry, it's the *.MDB file that I'd like to see. According to your log, it's at C:\Users\BobJr\AppData\Roaming\HRDLLC\HRD Logbook\W4PG.mdb on your computer.

w4pg

2018-08-02 15:03

viewer   ~0005904

Just FYI, I cloned the database in order to remove various passwords and log-ins as I automatically upload to several online services. I'm checking the clone to make sure it still has the updating problem. It appears it does but I'm going to let it run a bit just to be sure before uploading to Dropbox. I assume you do have access to the HRD Dropbox.

.............Bob

w4pg

2018-08-02 15:54

viewer   ~0005905

The database file is in the "HRD Beta Team" folder. You will need to add your QRZ xml file lookup info to the configuration.

.............Bob

K7ZCZ

2018-08-04 13:28

administrator   ~0005928

I've made this speculative fix, which just reduces the number of threads from 5 to 2.
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4267

I figure that, if Access is as slow as people are telling me; and we're also running on slower machines with slow drives, then it's possible we're just overwhelming the IO subsystem.

K7ZCZ

2018-08-04 13:32

administrator   ~0005929

Thanks for sharing your file, Bob.

No settings are stored in the database file, your passwords aren't included in the file.

When I use the file, I don't see any slowness. I also don't see much fragmentation in the file, so it seems like whatever's going wrong is on your machine itself. That supports my guess that maybe we're just having Access handle too many concurrent connections, so I've reduced the number of threads we use. We'll have a test build soon and maybe you can try that out.

Are you participating in the beta team?

w4pg

2018-08-04 13:42

viewer   ~0005930

Thanks for the update. I will try HRD on a different machine here in the shack and see how the lookup goes. It had been working fine and with some recent update, the "slowness" started. Yes, I do participate with the beta testing.

...............Bob

w4pg

2018-08-04 20:11

viewer   ~0005932

I was out this evening and upon return, the cluster shows over 580 spots updating. I'm running an i7 7700 at 3.6 GHz. 4 cores none of which are showing more than 4 to 5% load and most showing 0 to 1% load most of the time. This machine is dedicated to just ham radio applications. I don't know enough about the software to understand what might be going on but find it hard to believe the computer is being "overloaded" with work, but that might not be what you mean. Off to try the program on a different machine and see what happens.

...............Bob

w4pg

2018-08-04 20:53

viewer   ~0005933

Well well. I loaded HRD on my main office/shack computer, which has never had HRD on it, loaded my mdb file and the cluster is working fine. There appears to be NO slowdown at all. This suggests to me that something was carried over from previous installs on my "slow" computer since the one with the virgin install is working just fine. I was thinking of just deleting all references to HRD including data files, etc and see if a new install on my ham computer would correct the problem, which I suspect it would but then would have no way to keep trying to tract down the issue.

BTW, I notice while watching the log file on the "slow" computer I have this "HRD Interface message >> [251] get dropdown-text . . ." going over and over and over. I do not see that while watching the logfile of the good computer. Every second the logfile displays that HRD interface message on the slow computer, but NOT on the good one. ?????

................Bob

w4pg

2018-08-04 21:05

viewer   ~0005934

See this. Every second the logfile populates with this "HRD Interface . . . " stuff. NOT so on the good computer.

HRD_Interface.PNG (105,356 bytes)
HRD_Interface.PNG (105,356 bytes)

w4pg

2018-08-04 21:10

viewer   ~0005935

Sorry, nevermind. I'm a dummy. I didn't have the frequency control to the rig running on the "Good" computer. Even when I do shut down the rig control on the "bad" computer, the update is still very slow but I obviously don't get the HRD Interface message every second. Going to keep looking!

.............Bob

K7ZCZ

2018-08-04 21:36

administrator   ~0005936

> but find it hard to believe the computer is being "overloaded" with work,
 
Then, how do you explain the slow performance that you see on this machine?

If I assume that the log on that machine still shows that queries take very long -- tens and hundreds of seconds for an individual query indicates a pretty egregious problem with the database on that machine. The timing information is pretty much completely isolated to the code that issues the query, gets the result, and closes the query out. Thus, one of the few things that we do know with good certainty is that the log information you've got shows that the problem pretty squarely lies with the database performance.

One possible cause of slow lookup performance is terribly bad internal fragmentation in the file. You've sent along the file and I've run queries against it without a problem. I've also compacted it; it srhunk less than one percent, so I think we can believe there's very little fragmentation in the file. You've also moved the file to another machine and not had much trouble with performance.

Computers might be CPU-bound; in that case, you would indeed see a single CPU (or multiple CPUs) pegged. In the lookup work, there's not too much CPU-bound porcessing, though.

You might be IO-bound. In that case, the CPU is'nt doing anything and the disk is busy. I haven't heard from you about this symptom, so we don't know if it's present or not. Since you've got an SSD, it seems unlikely.

You might be blocking. It's conceivable that each CPU is lining up behind the ohter CPUs to do work. That takes time and reduces perforamnce. Since the CPU isn't busy, the condition doesn't show up as CPU load. But work isn't getting done. This is plausible, but I think it's more likely to add up to a few (or a few dozen) percent performance penalty -- not likely to cause queries to run 25000 times slower than they should.

Or, maybe there's some other problem. But, in general, software is slow for one of those three reasons. How can you help me learn which one of those problems is ocurring on your system so that we can fix this problem for you, and all of our customers?

w4pg

2018-08-04 23:38

viewer   ~0005940

Michael, I am not a programmer. I am a doctor and lawyer trying to figure this out as best I can.

I have two computers here both now running HRD Logbook. The one running really well is an i7-4790 Intel CPU at 3.6 GHz with 24 GB of RAM. The OS is on an SSD but HRD is running on a standard disc drive. It is running flawlessly.

The "slow" computer is an i7-7700 Intel CPU @ 3.6 GHz with 16 GB RAM running a 1 TB SSD that includes the OS and all programs.

There is not a huge difference between the "smarts" of either computer, yet one is flogging along very slowly with HRD; that one that has been upgraded from multiple previous versions of HRD and no doubt is carrying over SOME issue that is responsible for the problem since the "virgin" computer is working flawlessly. If the slow performance of the bad computer is due to overload of the cores, I would expect to see some indication of that from what I know, but maybe my knowledge of that is insufficient. As I mentioned, the load on each core is generally less than 2%.

I have uploaded the logfiles on several occasions. I provided my mdb file. How can I help you learn what the problem is?? I have no idea. I am not a programmer and I do not understand these issues. But I do sense your frustration especially since my mdb file worked fine on your computer and also on another one of mine.

I sense the only real way to fix my problem is delete all HRD info and re-install. That won't help understand the issue but get's me working again. I will hold off on doing that for the time being and hope by continuing to compare each computer here while running HRD I might find something that might help. I've been looking at the logfiles while they run but not seeing anything that seems helpful but I don't really know what I am looking at other than to compare one to the other.

Why hasn't WA9PIE weighed in on this? He has the same issue as I understand.

WA9PIE

2018-08-05 13:30

administrator   ~0005941

Last edited: 2018-08-07 18:35

View 2 revisions

***All my comments here include observations made up to and including the 874 build***

Here are some additional notes/steps that I hope will help demonstrate the problem.

First and foremost - if you are only obtaining 50 spots on connection (DX Cluster Options, Connection tab)... and if you then just run it for a few minutes to test, you will not see this problem. This problem (from my experience) seems to happen when three things have occurred - (a) Logbook left running for many hours as most of us do, (b) 1,000 spots have been accumulated, and (c) you start changing the "spot filter" (All, HF, bands, etc) or the WSI filter.

With that as context, here's how I've set up my Logbook client:
- In DX Cluster Options, Connection tab... select the maximum number of spots = 500

- Then setting up the "spot filters" (by band, the left-hand box below) to "ALL" (this doesn't really matter, but will come back to this shortly)
- Set the WSI filter to "None" (this doesn't really matter, but will come back to this shortly)
- Then leave it run for a while... for hours... it will eventually get to 1000 spots (which I think is the limit that we "cache")

Ok... so when you come back - some hours later - start flipping the WSI filter around... from "None" to "Band"... from "Band" to "Mode"... then to "Band or Mode"... maybe set it back to "None".

Then go flipping the "spots" filter around... from "ALL" to maybe "6m"... or to 20m... or to 80m... then "HF"...

Maybe go flip the WSI filter back to "Band" now...

During this process, you will almost certainly see periods of time where one of two things happen. One - it takes a considerable amount of time before the displayed spots change to reflect the filter changes. Or two - you'll see quite a bit of search folder icons with grey'd out spots.

It's curious. That is - conceivably, these spots have already been analyzed for WSI and wouldn't need to be analyzed again. You'd think they're already in memory and that the spots displayed would happen without delay. But DXers are always going to be changing the spot and WSI filters and that's where I see this most.

Sometimes, I suspect this has happened after I've been disconnected and the "Reconnect if connection lost" option is selected in the DX Cluster Options, Connection tab. To that end...

============ Separating the note here to go off on a bit of a tangent

Final thought for this thread - a couple years ago, <someone> added options in the DX Cluster Options, Connection tab to (a) "Reset Spots on Reconnect" and (b) "Reset Spots on Connect". BAD options. Failure to check these boxes has some rather ugly ramifications. I don't know if it plays into this problem, but it could... so I'll elaborate here (could take this to another bug later). (If Logbook has been running for quite some time, the only difference between these two reset options is that one is manual and the other is automatic).

Every time you connect (regardless of whether it's the first connect or the reconnect), the same "login script" is going to run. That script is going to ask for some number of spots, as specified in your Connection tab. So let's say you don't reset the spots... maybe you've already accumulated 1,000 spots because Logbook has been running for a while... you reconnect and get 500 more. Problem #1 - if using the "Reconnect if connection lost" option, all of these spots are going to be duplicates of ones you already have; of not using the "Reconnect if connection lost" option, then the existing spots are likely stale anyway. Problem #2 - they'll appear to be out-of-order because they don't get re-sorted.

Neither of these options make any sense. Failure to use them could cause problems. I don't know if they play a role in this, but we need to remove those options and cause the spots to get reset every time the connection is made.

w4pg

2018-08-05 17:16

viewer   ~0005942

FWIW, I see the problem immediately upon connecting to the cluster. I set it up as you suggested and my "slow" computer currently shows 437 spots, 458 updating. My good computer loaded 439 spots or so and updated those ALL within a few seconds. I note on my "slow" computer if I change the spots to show all from HF, or what-ever I change it to the spots will change to show all the band, mode, station info (the search folder icon goes away but reappears on new spots).

As an aside, while the spots are updating parts of the other areas of logbook don't work (or work very slowly). If I put a call in the lookup window, it's a very long time before the results return. Additionally, JTAlert returns a logging error because it takes way to long to log a contact to HRD, though eventually it does get logged (this on FT-8).

Short of shipping my computer to someone who really knows what they are looking for, I'm not sure how much more help I can be since I don't know what to look for to find the problem.

The fact I loaded my mdb file on a computer virgin to HRD and it all runs fine while the computer that is running slow is the one I've been updating the HRD versions as they come out means something for sure but having no knowledge of the programming I can't say what.

I do need this working so soon I'm going to carefully remove every bit of HRD from the slow computer and reinstall and see what happens. I'm not even sure I know how to find all mention of HRD but will try.

..............Bob

w4pg

2018-08-06 16:23

viewer   ~0005944

I deleted HRD via Windows control panel and reinstalled but still has the problem. I tried the HRD delete program, but I kept getting multiple errors that it couldn't find various files and for me to check that they existed. I had HRD installed in the default directory. I deleted HRD and also the app data under the user/Roaming/HRDLLC but when I reloaded HRD, the logbook "found" my info from somewhere and pre-populated it. I cannot find where HRD logbook is finding that data so maybe I need to make a registry change?? The delay in cluster updating still exists but after about 20 minutes, the 500 spots were all updated. That takes about 5 seconds on my other machine that has a virgin install.

ANYONE have instructions on removing ALL aspects of HRD?? Thanks!

...........Bob

K7ZCZ

2018-08-07 23:54

administrator   ~0005945

This checkin is made for a bunch of cleanup, plus a few speculative fixes to try to work on this issue (and the related issues -- unfortunately, this Mantis issue now tracks two or three different problems.)

https://hrdsoftware.visualstudio.com/web/cs.aspx?pcguid=024933d8-393e-4d7b-806f-280bdbd42f73&cs=4271

w4pg

2018-08-08 17:05

viewer   ~0005946

I do not have permission to access that link.

FWIW, I again deleted HRD and all the references in the registry. I installed it and it acted as best I can tell like a virgin install. I had to provide the key, put all my data in, etc. DX cluster is still slow, as I watch it taking upwards of 2 minutes to lookup a call. Some calls update in just a few milliseconds. I see one at 63 milliseconds. Others are taking 2 minutes or more. Obviously something weird about this particular computer as my second one is running the cluster just fine.

w4pg

2018-08-08 20:01

viewer   ~0005947

875 seems to have markedly improved this issue. Just saw this release and testing now but quickly went to zero updating. Keeping fingers crossed.

K7ZCZ

2018-10-20 22:41

administrator   ~0006315

It's been more than two months with no further feedback. Can this issue be closed?

WA9PIE

2018-12-08 10:09

administrator   ~0006547

Yes, I'm going to close it. I think we've killed it.

Issue History

Date Modified Username Field Change
2018-07-01 16:01 WA9PIE New Issue
2018-07-01 16:01 WA9PIE File Added: HRDLogbook_20180701_201746.mdmp
2018-07-01 16:05 WA9PIE File Added: SpotsAreGrey.PNG
2018-07-01 16:05 WA9PIE Note Added: 0005581
2018-07-01 16:05 WA9PIE Steps to Reproduce Updated View Revisions
2018-07-01 16:52 K7ZCZ Note Added: 0005587
2018-07-02 08:26 PD9FER File Added: 2018-07-02_15-13-16.jpg
2018-07-02 08:26 PD9FER Note Added: 0005592
2018-07-02 09:28 K7ZCZ Note Added: 0005593
2018-07-02 09:54 PD9FER Note Added: 0005594
2018-07-05 10:43 WA9PIE Steps to Reproduce Updated View Revisions
2018-07-05 10:44 WA9PIE Steps to Reproduce Updated View Revisions
2018-07-05 10:50 WA9PIE Note Added: 0005611
2018-07-05 10:55 WA9PIE Note Edited: 0005611 View Revisions
2018-07-05 10:55 WA9PIE Assigned To => K7ZCZ
2018-07-05 10:55 WA9PIE Status new => assigned
2018-07-05 15:12 K7ZCZ Note Added: 0005612
2018-07-06 10:18 WA9PIE Additional Information Updated View Revisions
2018-07-06 12:13 K7ZCZ Note Added: 0005616
2018-07-07 09:19 K7ZCZ Note Added: 0005627
2018-07-07 10:53 WA9PIE File Added: SpotsNotUpdated.PNG
2018-07-07 10:53 WA9PIE Note Added: 0005629
2018-07-07 10:57 WA9PIE Note Added: 0005630
2018-07-07 11:00 WA9PIE Note Added: 0005631
2018-07-07 12:19 K7ZCZ Note Added: 0005632
2018-07-07 12:47 K7ZCZ Note Added: 0005633
2018-07-07 13:31 K7ZCZ Note Added: 0005634
2018-07-25 23:16 K7ZCZ Assigned To K7ZCZ => WA9PIE
2018-07-25 23:16 K7ZCZ Status assigned => feedback
2018-07-26 11:54 WA9PIE Note Added: 0005846
2018-07-26 15:30 w4pg File Added: Stopwatch.PNG
2018-07-26 15:30 w4pg Note Added: 0005851
2018-07-26 17:51 K7ZCZ Note Added: 0005852
2018-07-27 00:29 K7ZCZ Note Added: 0005854
2018-07-27 12:44 WA9PIE Note Added: 0005859
2018-07-27 13:01 w4pg File Added: HRD Logbook Logfile 2018-07-27 175853.txt
2018-07-27 13:01 w4pg Note Added: 0005860
2018-07-27 22:18 K7ZCZ Note Added: 0005867
2018-07-27 22:22 K7ZCZ Note Added: 0005868
2018-07-28 14:40 w4pg File Added: Database.png
2018-07-28 14:40 w4pg Note Added: 0005875
2018-07-28 15:47 w4pg Note Added: 0005877
2018-07-28 22:33 w4pg File Added: HRD Logbook Logfile 2018-07-29 032249.txt
2018-07-28 22:33 w4pg Note Added: 0005878
2018-07-29 12:04 K7ZCZ Note Added: 0005879
2018-07-29 12:58 w4pg File Added: HRD Logbook Logfile 2018-07-29 175115.txt
2018-07-29 12:58 w4pg File Added: W4PG_Access.PNG
2018-07-29 12:58 w4pg Note Added: 0005881
2018-07-29 15:55 w4pg Note Added: 0005883
2018-07-29 16:33 K7ZCZ Note Added: 0005887
2018-07-30 17:00 w4pg File Added: HRD Logbook Logfile 2018-07-30 214658.txt
2018-07-30 17:00 w4pg File Added: HRD Logbook Logfile 2018-07-30 215545.txt
2018-07-30 17:00 w4pg Note Added: 0005889
2018-08-01 10:28 K7ZCZ Note Added: 0005899
2018-08-01 17:35 w4pg Note Added: 0005901
2018-08-01 17:44 w4pg Note Added: 0005902
2018-08-02 10:32 K7ZCZ Note Added: 0005903
2018-08-02 15:03 w4pg Note Added: 0005904
2018-08-02 15:54 w4pg Note Added: 0005905
2018-08-04 13:28 K7ZCZ Note Added: 0005928
2018-08-04 13:32 K7ZCZ Note Added: 0005929
2018-08-04 13:42 w4pg Note Added: 0005930
2018-08-04 20:11 w4pg Note Added: 0005932
2018-08-04 20:53 w4pg Note Added: 0005933
2018-08-04 21:05 w4pg File Added: HRD_Interface.PNG
2018-08-04 21:05 w4pg Note Added: 0005934
2018-08-04 21:10 w4pg Note Added: 0005935
2018-08-04 21:36 K7ZCZ Note Added: 0005936
2018-08-04 23:38 w4pg Note Added: 0005940
2018-08-05 13:30 WA9PIE Note Added: 0005941
2018-08-05 17:16 w4pg Note Added: 0005942
2018-08-06 16:23 w4pg Note Added: 0005944
2018-08-07 18:35 WA9PIE Note Edited: 0005941 View Revisions
2018-08-07 23:54 K7ZCZ Note Added: 0005945
2018-08-08 17:05 w4pg Note Added: 0005946
2018-08-08 20:01 w4pg Note Added: 0005947
2018-08-09 20:51 WA9PIE Relationship added related to 0002833
2018-10-20 22:41 K7ZCZ Note Added: 0006315
2018-10-22 17:13 K7ZCZ Relationship added related to 0002919
2018-12-08 10:09 WA9PIE Note Added: 0006547
2018-12-08 10:12 WA9PIE Status feedback => closed
2018-12-08 10:12 WA9PIE Resolution open => fixed
2018-12-08 10:12 WA9PIE Fixed in Version => 6.4.0.876
2018-12-08 10:12 WA9PIE Testing Not Started => Beta Successful
2018-12-08 10:12 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2019-04-18 14:29 K7ZCZ Relationship added related to 0003299